You can subscribe to this list here.
| 2003 |
Jan
|
Feb
|
Mar
|
Apr
|
May
|
Jun
|
Jul
|
Aug
|
Sep
|
Oct
(202) |
Nov
(201) |
Dec
(280) |
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| 2004 |
Jan
(493) |
Feb
(106) |
Mar
(215) |
Apr
(163) |
May
(79) |
Jun
(193) |
Jul
(47) |
Aug
(71) |
Sep
(127) |
Oct
(41) |
Nov
(49) |
Dec
(120) |
| 2005 |
Jan
(147) |
Feb
(45) |
Mar
(26) |
Apr
(71) |
May
(52) |
Jun
(28) |
Jul
(92) |
Aug
(50) |
Sep
(35) |
Oct
(193) |
Nov
(106) |
Dec
(52) |
| 2006 |
Jan
(51) |
Feb
(38) |
Mar
(33) |
Apr
(79) |
May
(107) |
Jun
(67) |
Jul
(21) |
Aug
(65) |
Sep
(44) |
Oct
(87) |
Nov
(12) |
Dec
(56) |
| 2007 |
Jan
(48) |
Feb
(58) |
Mar
(63) |
Apr
(31) |
May
(25) |
Jun
(20) |
Jul
(72) |
Aug
(54) |
Sep
(30) |
Oct
(76) |
Nov
(74) |
Dec
(25) |
| 2008 |
Jan
(39) |
Feb
(39) |
Mar
(62) |
Apr
(64) |
May
(59) |
Jun
(31) |
Jul
(25) |
Aug
(25) |
Sep
(17) |
Oct
(24) |
Nov
|
Dec
(1) |
| 2009 |
Jan
(60) |
Feb
(39) |
Mar
(16) |
Apr
(30) |
May
(52) |
Jun
(35) |
Jul
(15) |
Aug
(15) |
Sep
(21) |
Oct
(32) |
Nov
(39) |
Dec
(52) |
| 2010 |
Jan
(42) |
Feb
(40) |
Mar
(23) |
Apr
(20) |
May
(27) |
Jun
(10) |
Jul
(30) |
Aug
(30) |
Sep
(66) |
Oct
(12) |
Nov
(35) |
Dec
(60) |
| 2011 |
Jan
(16) |
Feb
(1) |
Mar
(3) |
Apr
(28) |
May
(21) |
Jun
|
Jul
(12) |
Aug
(6) |
Sep
(10) |
Oct
(14) |
Nov
(40) |
Dec
(60) |
| 2012 |
Jan
(23) |
Feb
(17) |
Mar
(24) |
Apr
(18) |
May
(13) |
Jun
(1) |
Jul
|
Aug
(5) |
Sep
|
Oct
(5) |
Nov
(5) |
Dec
(15) |
| 2013 |
Jan
(2) |
Feb
(5) |
Mar
(1) |
Apr
(2) |
May
(2) |
Jun
(3) |
Jul
|
Aug
(3) |
Sep
(5) |
Oct
(3) |
Nov
(1) |
Dec
(1) |
| 2014 |
Jan
(3) |
Feb
(5) |
Mar
(8) |
Apr
(3) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
|
Sep
(4) |
Oct
(10) |
Nov
|
Dec
(9) |
| 2015 |
Jan
(18) |
Feb
(17) |
Mar
(5) |
Apr
(2) |
May
|
Jun
(5) |
Jul
(1) |
Aug
(2) |
Sep
(1) |
Oct
(24) |
Nov
(20) |
Dec
(41) |
| 2016 |
Jan
(9) |
Feb
(3) |
Mar
(2) |
Apr
(7) |
May
(8) |
Jun
(1) |
Jul
(6) |
Aug
(5) |
Sep
(2) |
Oct
(6) |
Nov
(1) |
Dec
(6) |
| 2017 |
Jan
(6) |
Feb
(1) |
Mar
|
Apr
(4) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
(2) |
Sep
|
Oct
|
Nov
|
Dec
|
|
From: Heiko Z. <smi...@us...> - 2006-12-18 17:05:40
|
Update of /cvsroot/devil-linux/build/scripts/configuration In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv31859/scripts/configuration Added Files: DenyHosts.config debianutils.config liblockfile.config Log Message: - updated Python to 2.3.6 (Dr. Alberto Benati / Heiko) - updated postfix to 2.3.4 (Dr. Alberto Benati / Heiko) - updated dovecot to 1.0.rc15 (Dr. Alberto Benati / Heiko) - updated logwatch to 7.3.1-3 (Dr. Alberto Benati / Heiko) - updated gd to 2.0.33 (Dr. Alberto Benati / Heiko) - updated libpng to 1.2.13 (Dr. Alberto Benati / Heiko) - updated aide to 0.12 (Dr. Alberto Benati / Heiko) - updated awstats to 6.6 (Dr. Alberto Benati / Heiko) - updated pcre to 6.7 (Dr. Alberto Benati / Heiko) - added DenyHosts-2.5-3 (Dr. Alberto Benati / Heiko) - added debianutils 2.8.4 (Dr. Alberto Benati / Heiko) - added liblockfile_1.06.1 (Dr. Alberto Benati / Heiko) --- NEW FILE: liblockfile.config --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/configuration/liblockfile.config,v $ # $Revision: 1.2 $ # $Date: 2006/12/18 17:05:36 $ # # http://www.devil-linux.org # LIBLOCKFILE added by Alberto Benati <alb...@un...> menu_add "Tools|Utilities" bool "DEBIAN LIBLOCKFILE" CONFIG_LIBLOCKFILE --- NEW FILE: DenyHosts.config --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/configuration/DenyHosts.config,v $ # $Revision: 1.2 $ # $Date: 2006/12/18 17:05:35 $ # # http://www.devil-linux.org # DENYHOSTS added by Alberto Benati <alb...@un...> menu_add "Tools|Security" bool "DenyHosts" CONFIG_DENYHOSTS --- NEW FILE: debianutils.config --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/configuration/debianutils.config,v $ # $Revision: 1.2 $ # $Date: 2006/12/18 17:05:35 $ # # http://www.devil-linux.org # DEBIANUTILS added by Alberto Benati <alb...@un...> menu_add "Tools|Utilities" bool "DEBIAN UTILS" CONFIG_DEBIANUTILS |
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv31859/scripts Modified Files: aide awstats gd libpng logwatch mrtg nrpe nsca openssh Added Files: DenyHosts debianutils liblockfile Log Message: - updated Python to 2.3.6 (Dr. Alberto Benati / Heiko) - updated postfix to 2.3.4 (Dr. Alberto Benati / Heiko) - updated dovecot to 1.0.rc15 (Dr. Alberto Benati / Heiko) - updated logwatch to 7.3.1-3 (Dr. Alberto Benati / Heiko) - updated gd to 2.0.33 (Dr. Alberto Benati / Heiko) - updated libpng to 1.2.13 (Dr. Alberto Benati / Heiko) - updated aide to 0.12 (Dr. Alberto Benati / Heiko) - updated awstats to 6.6 (Dr. Alberto Benati / Heiko) - updated pcre to 6.7 (Dr. Alberto Benati / Heiko) - added DenyHosts-2.5-3 (Dr. Alberto Benati / Heiko) - added debianutils 2.8.4 (Dr. Alberto Benati / Heiko) - added liblockfile_1.06.1 (Dr. Alberto Benati / Heiko) --- NEW FILE: liblockfile --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/liblockfile,v $ # $Revision: 1.2 $ # $Date: 2006/12/18 17:05:35 $ # # http://www.devil-linux.org # LIBLOCKFILE added by Alberto Benati <alb...@un...> # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: liblockfile # Required-Start: $basebuildtools $libs # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: DEBIAN LIBLOCKFILE (http://www.debian.org) ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings MYNAME=LIBLOCKFILE case $1 in build ) if [ "$CONFIG_LIBLOCKFILE" = "y" ]; then ./configure --enable-shared --with-mailgroup \ --prefix=/usr --mandir=/usr/share/man || exit 1 make $PMAKE || exit 1 strip_debug fi ;; install ) if [ "$CONFIG_LIBLOCKFILE" = "y" ]; then rm -rf $TMPDIR mkdir -p $TMPDIR || exit 1 mkdir -p $TMPDIR/usr/bin $TMPDIR/usr/lib $TMPDIR/usr/include \ mkdir -p $TMPDIR/usr/share/man/man1 $TMPDIR/usr/share/man/man3 || exit 1 make install ROOT=$TMPDIR || exit 1 rm -rf $TMPDIR/usr/include || exit 1 copy_files $TMPDIR/usr $CDDIR || exit 1 rm -rf $TMPDIR || exit 1 fi ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac Index: mrtg =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/mrtg,v retrieving revision 1.2 retrieving revision 1.3 diff -u -d -r1.2 -r1.3 --- mrtg 27 Apr 2005 23:41:33 -0000 1.2 +++ mrtg 18 Dec 2006 17:05:35 -0000 1.3 @@ -10,7 +10,7 @@ ### BEGIN INIT INFO # Provides: mrtg -# Required-Start: $basebuildtools $libs perl +# Required-Start: $basebuildtools $libs gd libpng perl zlib # Required-Stop: # Default-Start: 1 2 # Default-Stop: @@ -27,7 +27,7 @@ case $1 in build ) if [ "$CONFIG_MRTG" = "y" ]; then - ./configure --prefix=/usr || exit 1 + ./configure --prefix=/usr --with-gd --with-z --with-png || exit 1 make $PMAKE all || exit 1 strip_debug fi Index: openssh =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/openssh,v retrieving revision 1.32 retrieving revision 1.33 diff -u -d -r1.32 -r1.33 --- openssh 22 Apr 2006 01:08:29 -0000 1.32 +++ openssh 18 Dec 2006 17:05:35 -0000 1.33 @@ -10,7 +10,7 @@ ### BEGIN INIT INFO # Provides: openssh -# Required-Start: $basebuildtools $libs +# Required-Start: $basebuildtools $libs tcp_wrappers # Required-Stop: # Default-Start: 1 2 # Default-Stop: @@ -28,14 +28,20 @@ case $1 in build ) if [ "$CONFIG_OPENSSH" = "y" ]; then - ./configure --prefix=/usr --sysconfdir=/etc/ssh --localstatedir=/var --with-md5-passwords --with-pam || exit 1 + ./configure --prefix=/usr --sysconfdir=/etc/ssh --localstatedir=/var \ + --with-tcp-wrappers --with-md5-passwords --with-pam || exit 1 # disable those annoying excess permissions warnings.... echo " #undef USE_BTMP" >> config.h make $PMAKE all || exit 1 strip_debug - - # install it, other programs need it later - make install || exit 1 + + if [ "$CONFIG_SCPONLY" = "y" ]; then + # Mandatory for build scponly + groupadd -g 110 sshd || exit 1 + useradd -g 110 -u 110 -c "sshd privsep" -d /var/empty -s /bin/false sshd || exit 1 + make install || exit 1 + fi + fi ;; Index: awstats =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/awstats,v retrieving revision 1.2 retrieving revision 1.3 diff -u -d -r1.2 -r1.3 --- awstats 7 May 2006 14:07:21 -0000 1.2 +++ awstats 18 Dec 2006 17:05:35 -0000 1.3 @@ -2,7 +2,9 @@ # $Source$ # $Revision$ # $Date$ +# # http://www.devil-linux.org +# AWSTATS added by Alberto Benati <alb...@un...> # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 @@ -22,6 +24,8 @@ # source functions and config source $MYDIR/settings +MYNAME=AWSTATS + case $1 in install ) if [ "$CONFIG_AWSTATS" = "y" ]; then @@ -34,7 +38,8 @@ cp -dpR wwwroot/cgi-bin/awstats.model.conf $ETCDIR/etc/awstats/ || exit 1 mkdir -p $ETCDIR/etc/cron.daily || exit 1 - echo "#/usr/local/awstats/wwwroot/cgi-bin/awstats.pl" >> $ETCDIR/etc/cron.daily/awstats.cron || exit 1 + echo "#/usr/local/awstats/wwwroot/cgi-bin/awstats.pl" >> $ETCDIR/etc/cron.daily/awstats || exit 1 + chmod 0755 $ETCDIR/etc/cron.daily/awstats || exit 1 rm -rf $TMPDIR || exit 1 fi Index: logwatch =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/logwatch,v retrieving revision 1.2 retrieving revision 1.3 diff -u -d -r1.2 -r1.3 --- logwatch 7 May 2006 14:07:21 -0000 1.2 +++ logwatch 18 Dec 2006 17:05:35 -0000 1.3 @@ -4,6 +4,7 @@ # $Date$ # # http://www.devil-linux.org +# LOGWATCH added by Alberto Benati <alb...@un...> # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 @@ -30,6 +31,13 @@ if [ "$CONFIG_LOGWATCH" = "y" ]; then rm -rf $TMPDIR + if [ ! -f .patch.done ] && [ -e $DL_DIR/src/logwatch_7.*.diff.gz ]; then + #From Debian + zcat $DL_DIR/src/logwatch_7.*.diff.gz | patch -p1 || exit 1 + touch .patch.done + fi + + #From install.sh LOGWATCHEXE="/usr/share/logwatch/scripts/logwatch.pl" BASEDIR="$CDDIR/usr/share/logwatch" Index: aide =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/aide,v retrieving revision 1.2 retrieving revision 1.3 diff -u -d -r1.2 -r1.3 --- aide 7 May 2006 14:07:20 -0000 1.2 +++ aide 18 Dec 2006 17:05:35 -0000 1.3 @@ -4,13 +4,14 @@ # $Date$ # # http://www.devil-linux.org +# AIDE added by Alberto Benati <alb...@un...> # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: aide -# Required-Start: $basebuildtools $libs mhash +# Required-Start: $basebuildtools $libs gnupg libgcrypt mhash # Required-Stop: # Default-Start: 1 2 # Default-Stop: @@ -28,12 +29,9 @@ case $1 in build ) if [ "$CONFIG_AIDE" = "y" ]; then - if [ ! -f .patch.done ]; then - zcat $DL_DIR/src/aide_0.*.diff.gz | patch -p1 || exit 1 - touch .patch.done - fi - ./configure --prefix=/usr --sysconfdir=/etc/aide \ - --with-config_file=/etc/aide/aide.conf || exit 1 + ./configure --prefix=/usr --sysconfdir=/etc \ + --with-config_file=/etc/aide/aide.conf \ + --with-zlib --with-mhash --with-gcrypt || exit 1 make $PMAKE || exit 1 strip_debug fi @@ -47,18 +45,15 @@ make install DESTDIR=$TMPDIR || exit 1 mkdir -p $ETCDIR/etc/aide || exit 1 - cp -dpR debian/aide.conf $ETCDIR/etc/aide/ || exit 1 - - mkdir -p $ETCDIR/etc/cron.daily || exit 1 - cp -dpR debian/cron.daily/aide $ETCDIR/etc/cron.daily/ || exit 1 + install -m 0644 $DL_DIR/scripts/scripts/aide.conf $ETCDIR/etc/aide/ || exit 1 + cp -dpR contrib $ETCDIR/etc/aide/ || exit 1 - mkdir -p $CDDIR/usr/man/man8 || exit 1 - cp -dpR debian/aideinit.8 $CDDIR/usr/man/man8/ || exit 1 + mkdir -p $CDDIR/var/lib/aide || exit 1 + mkdir -p $CDDIR/var/log/aide || exit 1 # All mhash library are mandatory cp -dpR /usr/lib/libmhash* $CDDIR/lib/ || exit 1 - mkdir -p $CDDIR || exit 1 copy_files $TMPDIR/usr $CDDIR || exit 1 rm -rf $TMPDIR || exit 1 Index: gd =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/gd,v retrieving revision 1.4 retrieving revision 1.5 diff -u -d -r1.4 -r1.5 --- gd 27 Jan 2004 20:01:49 -0000 1.4 +++ gd 18 Dec 2006 17:05:35 -0000 1.5 @@ -10,7 +10,7 @@ ### BEGIN INIT INFO # Provides: gd -# Required-Start: $basebuildtools libpng jpeg libiconv glibc +# Required-Start: $basebuildtools libpng jpeg libiconv glibc zlib # Required-Stop: # Default-Start: 1 # Default-Stop: --- NEW FILE: debianutils --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/debianutils,v $ # $Revision: 1.2 $ # $Date: 2006/12/18 17:05:35 $ # # http://www.devil-linux.org # DEBIANUTILS added by Alberto Benati <alb...@un...> # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: debianutils # Required-Start: $basebuildtools $libs # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: DEBIAN UTILS (http://www.debian.org) ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings MYNAME=DEBIANUTILS case $1 in build ) if [ "$CONFIG_DEBIANUTILS" = "y" ]; then ./configure --prefix=/usr --mandir=/usr/share/man || exit 1 make $PMAKE || exit 1 strip_debug fi ;; install ) if [ "$CONFIG_DEBIANUTILS" = "y" ]; then rm -rf $TMPDIR mkdir -p $TMPDIR || exit 1 make install DESTDIR=$TMPDIR || exit 1 rm -rf $TMPDIR/usr/bin/sensible* $TMPDIR/usr/bin/which || exit 1 rm -rf $TMPDIR/usr/sbin || exit 1 rm -rf $TMPDIR/usr/share/man/fr || exit 1 rm -rf $TMPDIR/usr/share/man/man1/sensible* $TMPDIR/usr/share/man/man1/which* || exit 1 rm -rf $TMPDIR/usr/share/man/man8/installkernel* || exit 1 copy_files $TMPDIR/usr $CDDIR || exit 1 rm -rf $TMPDIR || exit 1 fi ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac --- NEW FILE: DenyHosts --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/DenyHosts,v $ # $Revision: 1.2 $ # $Date: 2006/12/18 17:05:35 $ # # http://www.devil-linux.org # DENYHOSTS added by Alberto Benati <alb...@un...> # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: DenyHosts # Required-Start: $basebuildtools $libs Python openssh # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: DenyHosts (http://www.denyhosts.net) ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings MYNAME=DENYHOSTS case $1 in build ) if [ "$CONFIG_DENYHOSTS" = "y" ]; then if [ ! -f .patch.done ] && [ -e $DL_DIR/src/denyhosts_2.*.diff.gz ]; then #From Debian zcat $DL_DIR/src/denyhosts_2.*.diff.gz | patch -p1 || exit 1 touch .patch.done fi if [ ! -f .debian.patch.done ]; then DPATCH=`cat debian/patches/00list` for d in $DPATCH; do patch -p1 < debian/patches/$d done touch .debian.patch.done fi python setup.py build || exit 1 fi ;; install ) if [ "$CONFIG_DENYHOSTS" = "y" ]; then rm -rf $TMPDIR mkdir -p $TMPDIR || exit 1 python setup.py install --root=$TMPDIR --record=INSTALLED_FILES || exit 1 mv -f $TMPDIR/usr/share/denyhosts/daemon-control-dist $TMPDIR/usr/share/denyhosts/daemon-control || exit 1 replace_str $TMPDIR/usr/share/denyhosts/daemon-control \ "/etc/denyhosts.conf" "/etc/denyhosts/denyhosts.cfg" mkdir -p $ETCDIR/etc/denyhosts || exit 1 mv -f $TMPDIR/usr/share/denyhosts/denyhosts.cfg-dist $ETCDIR/etc/denyhosts/denyhosts.cfg || exit 1 mkdir -p $CDDIR/var/lib/denyhosts || exit 1 mkdir -p $TMPDIR/usr/sbin || exit 1 mv -f $TMPDIR/usr/bin/denyhosts.py $TMPDIR/usr/sbin/denyhosts || exit 1 rm -f $TMPDIR/usr/share/denyhosts/*.txt || exit 1 copy_files $TMPDIR/usr $CDDIR || exit 1 mkdir -p $ETCDIR/etc/logrotate.d || exit 1 cp -dpR debian/denyhosts.logrotate $ETCDIR/etc/logrotate.d/denyhosts || exit 1 mkdir -p $CDDIR/usr/share/man/man8 || exit 1 cp -pdR debian/denyhosts.8 $CDDIR/usr/share/man/man8/ || exit 1 cp $MYDIR/scripts/denyhosts.init $ETCDIR/etc/init.d/denyhosts || exit 1 echo "# Start $MYNAME?" >> $CONFIGFILE echo "START_$MYNAME=no" >> $CONFIGFILE echo >> $CONFIGFILE echo "HELP_$MYNAME=\"analyzes hosts are attempting to hack\"" >> $SOFTWAREHELP rm -rf $TMPDIR || exit 1 fi ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac Index: nrpe =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/nrpe,v retrieving revision 1.2 retrieving revision 1.3 diff -u -d -r1.2 -r1.3 --- nrpe 20 Aug 2006 19:51:27 -0000 1.2 +++ nrpe 18 Dec 2006 17:05:35 -0000 1.3 @@ -38,7 +38,9 @@ cp -v src/nrpe $CDDIR/usr/sbin/ || exit 1 cp -v src/check_nrpe $CDDIR/usr/libexec/nagios/ || exit 1 cp -v sample-config/nrpe.cfg $ETCDIR/etc/nagios/ || exit 1 - cp -v sample-config/nrpe.xinetd $ETCDIR/etc/xinet.d/ || exit 1 + if [ "$CONFIG_XINETD" = "y" ]; then + cp -v sample-config/nrpe.xinetd $ETCDIR/etc/xinet.d/ || exit 1 + fi echo "nrpe 5666/tcp # NRPE" >> $ETCDIR/etc/services || exit 1 cp $MYDIR/scripts/nrpe $ETCDIR/etc/init.d || exit 1 Index: libpng =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/libpng,v retrieving revision 1.4 retrieving revision 1.5 diff -u -d -r1.4 -r1.5 --- libpng 11 Jan 2004 14:43:04 -0000 1.4 +++ libpng 18 Dec 2006 17:05:35 -0000 1.5 @@ -25,11 +25,14 @@ case $1 in build ) - make -f scripts/makefile.linux prefix=/usr $PMAKE all || exit 1 + ZLIBDIR=$(find_src_dir zlib) + make -f scripts/makefile.linux prefix=/usr \ + ZLIBLIB=../$ZLIBDIR ZLIBINC=../$ZLIBDIR $PMAKE all || exit 1 strip_debug # we have to install this immediately, because this is a library and could be needed by other sources - make -f scripts/makefile.linux prefix=/usr install || exit 1 + make -f scripts/makefile.linux prefix=/usr \ + ZLIBLIB=../$ZLIBDIR ZLIBINC=../$ZLIBDIR install || exit 1 ;; * ) Index: nsca =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/nsca,v retrieving revision 1.2 retrieving revision 1.3 diff -u -d -r1.2 -r1.3 --- nsca 20 Aug 2006 19:51:27 -0000 1.2 +++ nsca 18 Dec 2006 17:05:35 -0000 1.3 @@ -38,7 +38,9 @@ cp -v src/nsca $CDDIR/usr/sbin/ || exit 1 cp -v src/send_nsca $CDDIR/usr/sbin/ || exit 1 cp -v sample-config/*.cfg $ETCDIR/etc/nagios/ || exit 1 - cp -v sample-config/nsca.xinetd $ETCDIR/etc/xinet.d/ || exit 1 + if [ "$CONFIG_XINETD" = "y" ]; then + cp -v sample-config/nsca.xinetd $ETCDIR/etc/xinet.d/ || exit 1 + fi echo "nsca 5667/tcp # NSCA" >> $ETCDIR/etc/services || exit 1 cp $MYDIR/scripts/nsca $ETCDIR/etc/init.d || exit 1 |
|
From: Heiko Z. <smi...@us...> - 2006-12-18 17:05:39
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv31859/scripts/scripts Added Files: aide.conf denyhosts.init Log Message: - updated Python to 2.3.6 (Dr. Alberto Benati / Heiko) - updated postfix to 2.3.4 (Dr. Alberto Benati / Heiko) - updated dovecot to 1.0.rc15 (Dr. Alberto Benati / Heiko) - updated logwatch to 7.3.1-3 (Dr. Alberto Benati / Heiko) - updated gd to 2.0.33 (Dr. Alberto Benati / Heiko) - updated libpng to 1.2.13 (Dr. Alberto Benati / Heiko) - updated aide to 0.12 (Dr. Alberto Benati / Heiko) - updated awstats to 6.6 (Dr. Alberto Benati / Heiko) - updated pcre to 6.7 (Dr. Alberto Benati / Heiko) - added DenyHosts-2.5-3 (Dr. Alberto Benati / Heiko) - added debianutils 2.8.4 (Dr. Alberto Benati / Heiko) - added liblockfile_1.06.1 (Dr. Alberto Benati / Heiko) --- NEW FILE: denyhosts.init --- #!/bin/sh # # denyhosts init.d script # Alberto Benati <alb...@un...> # ### BEGIN INIT INFO # Provides: denyhosts # Required-Start: $network $syslog $named $sshd # Required-Stop: $network $syslog $named # Default-Start: 3 5 # Default-Stop: 0 6 # Short-Description: Start denyhosts ### END INIT INFO # settings source /etc/sysconfig/config set -e CONFIGNAME="DENYHOSTS" DESC="DenyHosts" NAME=denyhosts DAEMON="/usr/share/$NAME/daemon-control" PIDFILE="/var/run/$NAME.pid" CONFIG="/etc/denyhosts/denyhosts.cfg" PARM="" # source function library source /etc/init.d/functions eval START=\$START_$CONFIGNAME # Determine the base and follow a runlevel link name. base=${0##*/} link=${base#*[SK][0-9][0-9]} # Force execution if not called by a runlevel directory. test $link = $base && START=yes test "$START" = "yes" || exit 0 if [ ! -e $DAEMON ]; then echo echo "$DAEMON not found. Did you install the package?" exit 1 fi case "$1" in start) ${DAEMON} start ${PARM} evaluate_retval ;; stop) if [ -e $PIDFILE ]; then ${DAEMON} stop ${PARM} evaluate_retval else echo -n "I can't stop $DESC. Maybe it's NOT runnig?" print_status warning fi ;; restart) $0 stop sleep 1 $0 start ;; condrestart) ${DAEMON} condrestart ${PARM} ;; status) ${DAEMON} status ${PARM} ;; *) echo "Usage: $0 {start|stop|restart|condrestart|status}" exit 3 ;; esac exit 0 --- NEW FILE: aide.conf --- # # AIDE 0.12-rc1 # Modify by Alberto Benati <alb...@un...> # @@ifndef TOPDIR @@define TOPDIR / @@endif # The location of the database to be read. database=file:/var/lib/aide/aide.db # The location of the database to be written. #database_out=sql:host:port:database:login_name:passwd:table database_out=file:/var/lib/aide/aide.db.new # Whether to gzip the output to database # gzip_dbout=no #verbose=5 verbose=20 #report_url=stdout #other possibilities #report_url=stderr #NOT IMPLEMENTED report_url=mailto:ro...@fo... #report_url=file:/tmp/some_file.txt #report_url=syslog:LOG_AUTH report_url=stdout #p: permissions #i: inode #n: number of links #u: user #g: group #s: size #b: block count #m: mtime #a: atime #c: ctime #S: check for growing size #I: ignore changed filename #md5: md5 checksum #sha1: sha1 checksum #rmd160: rmd160 checksum #tiger: tiger checksum #R: p+i+n+u+g+s+m+c+md5 #L: p+i+n+u+g #E: Empty group #>: Growing logfile p+u+g+i+n+S #The following are available if you have mhash support enabled. #haval: haval checksum #gost: gost checksum #crc32: crc32 checksum # Rule definition All=R+a+sha1+rmd160 # report_attributes is a special rule definition # the attributes listed in it are alway displayed for changed files # in the final report #report_attributes = u+g # ignore_list is a special rule definition # the attributes listed in it are not displayed in the # final report, it overrules report_attributes where they conflict #ignore_list = b # Attributes that can be used to verify that aide in intact # by people that have downloaded it from the web. # Let's be paranoid Norm=s+n+b+md5+sha1+rmd160 # The commented rules are just examples the rest are used by # make check Checksums=md5+sha1+rmd160+haval+gost+crc32+tiger OwnerMode=p+u+g Size=s+b InodeData=OwnerMode+n+i+Size RamdiskData=InodeData-i StaticFile=m+c+Checksums Full=InodeData+StaticFile VarFile=OwnerMode+n VarDir=OwnerMode+n+i RotatedLogs=Full+I Logs=OwnerMode+n+S LowLogs=Logs-S LinkedLogs=Logs-n Etc=s+n+b+md5+sha1+rmd160 Tmp=s+n+b+md5+sha1+rmd160 Chroot=s+n+b+md5+sha1+rmd160 Jail=s+n+b+md5+sha1+rmd160 Var=> #Selection regexp rule #@@{TOPDIR}/.* Norm /etc/.* Etc /tmp/.* Tmp /var/.* Var !/var/lib/aide/.*aide\.db.* /chroot/.* Chroot /var/lib/.* Var /var/log/.* Var /var/spool/.* Var |
|
From: Heiko Z. <smi...@us...> - 2006-12-18 17:05:39
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv31859 Modified Files: CHANGES md5sum.lst Log Message: - updated Python to 2.3.6 (Dr. Alberto Benati / Heiko) - updated postfix to 2.3.4 (Dr. Alberto Benati / Heiko) - updated dovecot to 1.0.rc15 (Dr. Alberto Benati / Heiko) - updated logwatch to 7.3.1-3 (Dr. Alberto Benati / Heiko) - updated gd to 2.0.33 (Dr. Alberto Benati / Heiko) - updated libpng to 1.2.13 (Dr. Alberto Benati / Heiko) - updated aide to 0.12 (Dr. Alberto Benati / Heiko) - updated awstats to 6.6 (Dr. Alberto Benati / Heiko) - updated pcre to 6.7 (Dr. Alberto Benati / Heiko) - added DenyHosts-2.5-3 (Dr. Alberto Benati / Heiko) - added debianutils 2.8.4 (Dr. Alberto Benati / Heiko) - added liblockfile_1.06.1 (Dr. Alberto Benati / Heiko) Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1080 retrieving revision 1.1081 diff -u -d -r1.1080 -r1.1081 --- CHANGES 25 Nov 2006 20:40:27 -0000 1.1080 +++ CHANGES 18 Dec 2006 17:05:35 -0000 1.1081 @@ -22,6 +22,18 @@ # 1.3.2 +- updated Python to 2.3.6 (Dr. Alberto Benati / Heiko) +- updated postfix to 2.3.4 (Dr. Alberto Benati / Heiko) +- updated dovecot to 1.0.rc15 (Dr. Alberto Benati / Heiko) +- updated logwatch to 7.3.1-3 (Dr. Alberto Benati / Heiko) +- updated gd to 2.0.33 (Dr. Alberto Benati / Heiko) +- updated libpng to 1.2.13 (Dr. Alberto Benati / Heiko) +- updated aide to 0.12 (Dr. Alberto Benati / Heiko) +- updated awstats to 6.6 (Dr. Alberto Benati / Heiko) +- updated pcre to 6.7 (Dr. Alberto Benati / Heiko) +- added DenyHosts-2.5-3 (Dr. Alberto Benati / Heiko) +- added debianutils 2.8.4 (Dr. Alberto Benati / Heiko) +- added liblockfile_1.06.1 (Dr. Alberto Benati / Heiko) - added missing LDAP support to squid - openvpn process now shows the config file it's using (Endre Szabo / Heiko) - updated curl to 7.16.0 Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.315 retrieving revision 1.316 diff -u -d -r1.315 -r1.316 --- md5sum.lst 31 Oct 2006 04:29:17 -0000 1.315 +++ md5sum.lst 18 Dec 2006 17:05:35 -0000 1.316 @@ -74,35 +74,7 @@ e6533ef83a2497562418a2239bb44602 src/perl-ext/libnet-1.19.tar.gz db1eb693eee45d251966ad2bab49dbbf src/perl-ext/libwww-perl-5.805.tar.gz 7002aedb8bcaa7169a8f0a8e22d34b72 src/perl-ext/perl-ldap-0.33.tar.gz -facd1ec828b0cfbd4cd2eee6e0e2b307 src/pom-addon/CLASSIFY.tar.bz2 -712c5d46e03473b52de8a831b731374c src/pom-addon/CLUSTERIP.tar.bz2 -fb7487face8e7030df7cb2edd7d11e64 src/pom-addon/CONNMARK.tar.bz2 -33de98dfae64e8ee1f78c83d0851bc9d src/pom-addon/HOPLIMIT.tar.bz2 -b8df3ac50c2b6fd2235bf5f59a22cd88 src/pom-addon/REJECT.tar.bz2 -f9856280e1b28a9246309666dd323849 src/pom-addon/SAME.tar.bz2 -2be04914b8f80a80a74f70d52e918612 src/pom-addon/TTL.tar.bz2 -ac84bf64f2f6dd1315f46ae5f17d9f93 src/pom-addon/ULOG.tar.bz2 -4e9bee45d55ba91f23b8656a914f6329 src/pom-addon/addrtype.tar.bz2 -ad28e61eae63035eccd0777ed7e52d23 src/pom-addon/connbytes.tar.bz2 -a3dd3a8fc2c12bff096351a954899b43 src/pom-addon/conntrack-acct.tar.bz2 -61125874be2c15bf5ad2f343f2617f74 src/pom-addon/conntrack-event-api.tar.bz2 -25ebe97a8ea4173fe0109972eaac5f1f src/pom-addon/ctnetlink.tar.bz2 -8097e61ae977df35103451b6ab6d60a7 src/pom-addon/ctstat.tar.bz2 -f3c8f76d653b0d554d629aabbb3c3070 src/pom-addon/cuseeme-nat.tar.bz2 -b018c8d8b0e68d24ed3d50d8afa29b85 src/pom-addon/dstlimit.tar.bz2 -0acf86784f42f49ae1e5be439417e43d src/pom-addon/hashlimit.tar.bz2 -449591a269500e3e0c16f82d94ef29b4 src/pom-addon/nf-log.tar.bz2 -7a435f42892272410b387236f2dc7270 src/pom-addon/nf_conntrack.tar.bz2 -a097cccfbec6bb8451e17bea3e5f4c30 src/pom-addon/nfnetlink-ctnetlink-0.13.tar.bz2 -c874ccbe7d63fa946940ca58568f5fad src/pom-addon/nfnetlink.tar.bz2 -564761af7e1f00ac8a4659c43fb0a009 src/pom-addon/nfnetlink_queue.tar.bz2 -48c9818695bd6f1e6c974f0dd7d57d31 src/pom-addon/owner-supgids.tar.bz2 -70b863f615bbb14cd941c34ac599f468 src/pom-addon/ownercmd.tar.bz2 -b1942903a4162e9a3bea5ae1617e2a61 src/pom-addon/raw.tar.bz2 -3f37383d240033dcba610d4c26456fd7 src/pom-addon/realm.tar.bz2 -8df492ed86db57b0a91a09b9d5dc56fc src/pom-addon/sctp.tar.bz2 -e0b145efcfc5070484702ef7e1772152 src/pom-addon/string.tar.bz2 -875c8194f9d9f2c916c1a8dba2c4cfa0 src/pom-addon/tcp-window-tracking.tar.bz2 +b33f0cdae6448ae559c5f22dbffe59f2 src/DenyHosts-2.5.tar.gz 42dc0473dfe07df853308d2f0b1df598 src/IMQ-iptables-1.3.0.diff.bz2 20728cfc1920843cc5758937f07fb562 src/ImageMagick-6.2.6-8.tar.bz2 1b3a0abd291b260eab6087ac0e61ed84 src/LPRng-3.8.28.tgz @@ -112,10 +84,9 @@ 90901044f52f5213a2abc612b9745c1b src/MOSIX-1.9.0.tgz 6b154c442a335c2a281defe17c8008e8 src/MOSKRN-1.9.0.tgz 77242e45baa7e2b418e4d3f22a86a69e src/Mail-SpamAssassin-3.1.7.tar.bz2 -a2c089faa2726c142419c03472fc4063 src/Python-2.3.4.tar.bz2 +1bd475e69e20481c6301853eef7018f1 src/Python-2.3.6.tar.bz2 4edd450bbee60d6c4b3c51ae80499b00 src/acl_2.2.39-1.tar.gz -de2f1f1ec8f50add1f286fd4372ae0bf src/aide_0.11a-2.diff.gz -5a6b0572bfec239d9cc76002ea71b363 src/aide_0.11a.orig.tar.gz +fee8da9fe8ac4f78de1a237290ed3204 src/aide-0.12.tar.gz 9c2156ce75e39675300e0c3a358018a5 src/alsa-driver-1.0.2.tar.bz2 b2a0d5d46e0d67e48594e98215ecfd73 src/alsa-lib-1.0.2.tar.bz2 464b4840c6416875171113f233d896e4 src/alsa-oss-1.0.2.tar.bz2 @@ -128,7 +99,7 @@ 092739e9b944815aecc1f5d8379d5ea5 src/attr_2.4.32-1.tar.gz 1ee40f7a676b3cfdc0e3f7cd81551b5f src/autoconf-2.59.tar.bz2 c11b8100bb311492d8220378fd8bf9e0 src/automake-1.9.6.tar.bz2 -aef00b2ff5c5413bd2a868299cabd69a src/awstats-6.5.tar.gz +3e6da58e0c479ae0de49ae3e6948576e src/awstats-6.6.tar.gz ef5304c4b22aaa5088972c792ed45d72 src/bash-3.1.tar.gz d541419fd7e5642952d7b48cbb40c712 src/beep-1.2.2.tar.gz a0b86647ef6a2d5f1e759112d08e2229 src/bind-9.3.2-P1.tar.gz @@ -178,6 +149,8 @@ dba3f87b87591b2972522e124bad3029 src/dar-2.2.3.tar.gz d84dff288a19186b136b0daf7067ade3 src/db-4.4.20.tar.gz e393cbf386831825ae8814d9341feadd src/ddup-3.0.1.tar.bz2 +d5ece24fb8c24f353c3c93218f8fb24b src/debianutils_2.8.4.tar.gz +29ade831880b2e0a91d4f49cb73a22dd src/denyhosts_2.5-3.diff.gz a7a97c469f22e3ec2cdcb5aae5603f3f src/device-mapper.1.00.19.tgz f91416a0b8ed3fd0601688cf0b7df58f src/dhcp-3.0.3.tar.gz b84d34a44b6667ea012e0aad4f9d71bd src/dhcpcd-2.0.0.tar.bz2 @@ -219,7 +192,7 @@ a0aa323568862e23fdbc6473ce6a01b5 src/fwlogwatch-1.0.tar.bz2 5703f72d0eea1d463f735aad8222655f src/gawk-3.1.5.tar.bz2 b594ff4ea4fbef4ba9220887de713dfe src/gcc-3.4.4.tar.bz2 -14bf0b840b309ae8a29934a7a0743fd3 src/gd-2.0.28.tar.gz +be0a6d326cd8567e736fbc75df0a5c45 src/gd-2.0.33.tar.gz 1d1b1d5c0245b1c00aff92da751e9aa1 src/gdbm-1.8.3.tar.gz eb3db4185f21185a89ae6f7cba49c404 src/gdchart0.11.4dev.tar.gz e1a0fd923345977412375884ac9e33c5 src/giftext-segfault.patch.bz2 @@ -312,6 +285,7 @@ 1a4f886e4c1eb9b6908d39831c6f75b3 src/libgcrypt-1.2.2.tar.gz ff409db977e4a4897aa09ea420a28a2f src/libgpg-error-1.0.tar.gz 0c99a05e0c3c153bac1c960f78711155 src/libiconv-1.9.1.tar.gz +a6ab675558e50ea8d99648f707a121a0 src/liblockfile_1.06.1.tar.gz 2e4487cdf922a6da2546bad74f643205 src/libmad-0.15.0b.tar.gz b1be163143f8e8ed0474beeb642b3bad src/libmcrypt-2.5.7.tar.gz a8698d6e1924fb250ef12a9142a74fad src/libnet-1.1.2.1-makefile.diff.bz2 @@ -323,7 +297,7 @@ 40ee3ec89030f0d6dfdb2cf6100e6685 src/libosip2-2.2.2.tar.gz 1e700ba0ea0670e398a7102ff6adb590 src/libpam-pgsql-0.6.1.tar.bz2 79025766e8027df154cb1f32de8a7974 src/libpcap-0.9.4.tar.gz -00cea4539bea4bd34cbf8b82ff9589cd src/libpng-1.2.8.tar.bz2 +e9ed9879008fa978d4c07cf4afd2bfcf src/libpng-1.2.13.tar.bz2 6b7b6e6df84d4afb469ccc66d04fc24d src/libsafe-2.0-16.tgz 3c37ef02a3aa248e30f4bf1613e3f597 src/libstdc++-compat.tar.bz2 8e0ac9797b62ba4dcc8a2fb7936412b0 src/libtool-1.5.22.tar.gz @@ -340,7 +314,8 @@ cdc857b78e813b88cbf8be92441aa299 src/lm_sensors-2.10.1.tar.gz 9ec24a9f2cf588b348adf1a1381af8a4 src/loadlin16c-devil.tar.bz2 552639142e163745f6bcd4f1f3816d8a src/logrotate-3.7.1.tar.gz -4a788202618a5a849b206c71c6b1766f src/logwatch-7.3.tar.gz +c43a783e791ad4851f44c6af98d71b38 src/logwatch-7.3.1.tar.gz +42a75e2bed6ec7744a8ccfec8b3ab3df src/logwatch_7.3.1-3.diff.gz f90188b0fede61fab371093e32382ab9 src/longhaul-1.2.tar.gz b4d13d6421382ea048e113ad8a868dfa src/loop-AES-v3.1d.tar.bz2 094805059be9f363c258c8c808330e08 src/lsof_4.66_src.tar.bz2 @@ -544,3 +519,32 @@ b1439812746bd6176401fcdac82eeabf src/zisofs-tools-1.0.6.tar.bz2 debc62758716a169df9f62e6ab2bc634 src/zlib-1.2.3.tar.gz cf52a9c970b97cab7c664d7435c7f7cf src/zlib-patches.tar.bz2 +facd1ec828b0cfbd4cd2eee6e0e2b307 src/pom-addon/CLASSIFY.tar.bz2 +712c5d46e03473b52de8a831b731374c src/pom-addon/CLUSTERIP.tar.bz2 +fb7487face8e7030df7cb2edd7d11e64 src/pom-addon/CONNMARK.tar.bz2 +33de98dfae64e8ee1f78c83d0851bc9d src/pom-addon/HOPLIMIT.tar.bz2 +b8df3ac50c2b6fd2235bf5f59a22cd88 src/pom-addon/REJECT.tar.bz2 +f9856280e1b28a9246309666dd323849 src/pom-addon/SAME.tar.bz2 +2be04914b8f80a80a74f70d52e918612 src/pom-addon/TTL.tar.bz2 +ac84bf64f2f6dd1315f46ae5f17d9f93 src/pom-addon/ULOG.tar.bz2 +4e9bee45d55ba91f23b8656a914f6329 src/pom-addon/addrtype.tar.bz2 +ad28e61eae63035eccd0777ed7e52d23 src/pom-addon/connbytes.tar.bz2 +a3dd3a8fc2c12bff096351a954899b43 src/pom-addon/conntrack-acct.tar.bz2 +61125874be2c15bf5ad2f343f2617f74 src/pom-addon/conntrack-event-api.tar.bz2 +25ebe97a8ea4173fe0109972eaac5f1f src/pom-addon/ctnetlink.tar.bz2 +8097e61ae977df35103451b6ab6d60a7 src/pom-addon/ctstat.tar.bz2 +f3c8f76d653b0d554d629aabbb3c3070 src/pom-addon/cuseeme-nat.tar.bz2 +b018c8d8b0e68d24ed3d50d8afa29b85 src/pom-addon/dstlimit.tar.bz2 +0acf86784f42f49ae1e5be439417e43d src/pom-addon/hashlimit.tar.bz2 +449591a269500e3e0c16f82d94ef29b4 src/pom-addon/nf-log.tar.bz2 +7a435f42892272410b387236f2dc7270 src/pom-addon/nf_conntrack.tar.bz2 +a097cccfbec6bb8451e17bea3e5f4c30 src/pom-addon/nfnetlink-ctnetlink-0.13.tar.bz2 +c874ccbe7d63fa946940ca58568f5fad src/pom-addon/nfnetlink.tar.bz2 +564761af7e1f00ac8a4659c43fb0a009 src/pom-addon/nfnetlink_queue.tar.bz2 +48c9818695bd6f1e6c974f0dd7d57d31 src/pom-addon/owner-supgids.tar.bz2 +70b863f615bbb14cd941c34ac599f468 src/pom-addon/ownercmd.tar.bz2 +b1942903a4162e9a3bea5ae1617e2a61 src/pom-addon/raw.tar.bz2 +3f37383d240033dcba610d4c26456fd7 src/pom-addon/realm.tar.bz2 +8df492ed86db57b0a91a09b9d5dc56fc src/pom-addon/sctp.tar.bz2 +e0b145efcfc5070484702ef7e1772152 src/pom-addon/string.tar.bz2 +875c8194f9d9f2c916c1a8dba2c4cfa0 src/pom-addon/tcp-window-tracking.tar.bz2 |
|
From: Heiko Z. <smi...@us...> - 2006-12-18 17:05:20
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv31467 Modified Files: Tag: rel-1-2-patches CHANGES md5sum.lst Log Message: - updated Python to 2.3.6 (Dr. Alberto Benati / Heiko) - updated postfix to 2.3.4 (Dr. Alberto Benati / Heiko) - updated dovecot to 1.0.rc15 (Dr. Alberto Benati / Heiko) - updated logwatch to 7.3.1-3 (Dr. Alberto Benati / Heiko) - updated gd to 2.0.33 (Dr. Alberto Benati / Heiko) - updated libpng to 1.2.13 (Dr. Alberto Benati / Heiko) - updated aide to 0.12 (Dr. Alberto Benati / Heiko) - updated awstats to 6.6 (Dr. Alberto Benati / Heiko) - updated pcre to 6.7 (Dr. Alberto Benati / Heiko) - added DenyHosts-2.5-3 (Dr. Alberto Benati / Heiko) - added debianutils 2.8.4 (Dr. Alberto Benati / Heiko) - added liblockfile_1.06.1 (Dr. Alberto Benati / Heiko) Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.807.2.281 retrieving revision 1.807.2.282 diff -u -d -r1.807.2.281 -r1.807.2.282 --- CHANGES 25 Nov 2006 20:41:13 -0000 1.807.2.281 +++ CHANGES 18 Dec 2006 17:05:11 -0000 1.807.2.282 @@ -22,6 +22,18 @@ # 1.2.12 +- updated Python to 2.3.6 (Dr. Alberto Benati / Heiko) +- updated postfix to 2.3.4 (Dr. Alberto Benati / Heiko) +- updated dovecot to 1.0.rc15 (Dr. Alberto Benati / Heiko) +- updated logwatch to 7.3.1-3 (Dr. Alberto Benati / Heiko) +- updated gd to 2.0.33 (Dr. Alberto Benati / Heiko) +- updated libpng to 1.2.13 (Dr. Alberto Benati / Heiko) +- updated aide to 0.12 (Dr. Alberto Benati / Heiko) +- updated awstats to 6.6 (Dr. Alberto Benati / Heiko) +- updated pcre to 6.7 (Dr. Alberto Benati / Heiko) +- added DenyHosts-2.5-3 (Dr. Alberto Benati / Heiko) +- added debianutils 2.8.4 (Dr. Alberto Benati / Heiko) +- added liblockfile_1.06.1 (Dr. Alberto Benati / Heiko) - added missing LDAP support to squid - enabled nagios for default config - openvpn process now shows the config file it's using (Endre Szabo / Heiko) Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.102.2.184 retrieving revision 1.102.2.185 diff -u -d -r1.102.2.184 -r1.102.2.185 --- md5sum.lst 31 Oct 2006 04:29:34 -0000 1.102.2.184 +++ md5sum.lst 18 Dec 2006 17:05:12 -0000 1.102.2.185 @@ -74,37 +74,8 @@ e6533ef83a2497562418a2239bb44602 src/perl-ext/libnet-1.19.tar.gz db1eb693eee45d251966ad2bab49dbbf src/perl-ext/libwww-perl-5.805.tar.gz 7002aedb8bcaa7169a8f0a8e22d34b72 src/perl-ext/perl-ldap-0.33.tar.gz -facd1ec828b0cfbd4cd2eee6e0e2b307 src/pom-addon/CLASSIFY.tar.bz2 -712c5d46e03473b52de8a831b731374c src/pom-addon/CLUSTERIP.tar.bz2 -fb7487face8e7030df7cb2edd7d11e64 src/pom-addon/CONNMARK.tar.bz2 -21cdbed07ad930a020a625ed229956bd src/pom-addon/CONNMARK_L7.tar.bz2 -33de98dfae64e8ee1f78c83d0851bc9d src/pom-addon/HOPLIMIT.tar.bz2 -b8df3ac50c2b6fd2235bf5f59a22cd88 src/pom-addon/REJECT.tar.bz2 -f9856280e1b28a9246309666dd323849 src/pom-addon/SAME.tar.bz2 -2be04914b8f80a80a74f70d52e918612 src/pom-addon/TTL.tar.bz2 -ac84bf64f2f6dd1315f46ae5f17d9f93 src/pom-addon/ULOG.tar.bz2 -4e9bee45d55ba91f23b8656a914f6329 src/pom-addon/addrtype.tar.bz2 -ad28e61eae63035eccd0777ed7e52d23 src/pom-addon/connbytes.tar.bz2 -a3dd3a8fc2c12bff096351a954899b43 src/pom-addon/conntrack-acct.tar.bz2 -61125874be2c15bf5ad2f343f2617f74 src/pom-addon/conntrack-event-api.tar.bz2 -25ebe97a8ea4173fe0109972eaac5f1f src/pom-addon/ctnetlink.tar.bz2 -8097e61ae977df35103451b6ab6d60a7 src/pom-addon/ctstat.tar.bz2 -f3c8f76d653b0d554d629aabbb3c3070 src/pom-addon/cuseeme-nat.tar.bz2 -b018c8d8b0e68d24ed3d50d8afa29b85 src/pom-addon/dstlimit.tar.bz2 -0acf86784f42f49ae1e5be439417e43d src/pom-addon/hashlimit.tar.bz2 -449591a269500e3e0c16f82d94ef29b4 src/pom-addon/nf-log.tar.bz2 -7a435f42892272410b387236f2dc7270 src/pom-addon/nf_conntrack.tar.bz2 -a097cccfbec6bb8451e17bea3e5f4c30 src/pom-addon/nfnetlink-ctnetlink-0.13.tar.bz2 -c874ccbe7d63fa946940ca58568f5fad src/pom-addon/nfnetlink.tar.bz2 -564761af7e1f00ac8a4659c43fb0a009 src/pom-addon/nfnetlink_queue.tar.bz2 -48c9818695bd6f1e6c974f0dd7d57d31 src/pom-addon/owner-supgids.tar.bz2 -70b863f615bbb14cd941c34ac599f468 src/pom-addon/ownercmd.tar.bz2 -b1942903a4162e9a3bea5ae1617e2a61 src/pom-addon/raw.tar.bz2 -3f37383d240033dcba610d4c26456fd7 src/pom-addon/realm.tar.bz2 -8df492ed86db57b0a91a09b9d5dc56fc src/pom-addon/sctp.tar.bz2 -e0b145efcfc5070484702ef7e1772152 src/pom-addon/string.tar.bz2 -875c8194f9d9f2c916c1a8dba2c4cfa0 src/pom-addon/tcp-window-tracking.tar.bz2 d8c2662914b21c20c8cbf94692de9ebc src/2.4.21-include.tar.bz2 +b33f0cdae6448ae559c5f22dbffe59f2 src/DenyHosts-2.5.tar.gz 42dc0473dfe07df853308d2f0b1df598 src/IMQ-iptables-1.3.0.diff.bz2 20728cfc1920843cc5758937f07fb562 src/ImageMagick-6.2.6-8.tar.bz2 1b3a0abd291b260eab6087ac0e61ed84 src/LPRng-3.8.28.tgz @@ -114,10 +85,9 @@ 90901044f52f5213a2abc612b9745c1b src/MOSIX-1.9.0.tgz 6b154c442a335c2a281defe17c8008e8 src/MOSKRN-1.9.0.tgz 77242e45baa7e2b418e4d3f22a86a69e src/Mail-SpamAssassin-3.1.7.tar.bz2 -a2c089faa2726c142419c03472fc4063 src/Python-2.3.4.tar.bz2 +1bd475e69e20481c6301853eef7018f1 src/Python-2.3.6.tar.bz2 4edd450bbee60d6c4b3c51ae80499b00 src/acl_2.2.39-1.tar.gz -de2f1f1ec8f50add1f286fd4372ae0bf src/aide_0.11a-2.diff.gz -5a6b0572bfec239d9cc76002ea71b363 src/aide_0.11a.orig.tar.gz +fee8da9fe8ac4f78de1a237290ed3204 src/aide-0.12.tar.gz 9c2156ce75e39675300e0c3a358018a5 src/alsa-driver-1.0.2.tar.bz2 b2a0d5d46e0d67e48594e98215ecfd73 src/alsa-lib-1.0.2.tar.bz2 464b4840c6416875171113f233d896e4 src/alsa-oss-1.0.2.tar.bz2 @@ -130,7 +100,7 @@ 092739e9b944815aecc1f5d8379d5ea5 src/attr_2.4.32-1.tar.gz 1ee40f7a676b3cfdc0e3f7cd81551b5f src/autoconf-2.59.tar.bz2 c11b8100bb311492d8220378fd8bf9e0 src/automake-1.9.6.tar.bz2 -aef00b2ff5c5413bd2a868299cabd69a src/awstats-6.5.tar.gz +3e6da58e0c479ae0de49ae3e6948576e src/awstats-6.6.tar.gz ef5304c4b22aaa5088972c792ed45d72 src/bash-3.1.tar.gz d541419fd7e5642952d7b48cbb40c712 src/beep-1.2.2.tar.gz a0b86647ef6a2d5f1e759112d08e2229 src/bind-9.3.2-P1.tar.gz @@ -165,7 +135,7 @@ 5c356f45bde4233a9b2a5ae78ae4e9e1 src/cramfs-1.1.tar.gz c3331c0509e5f1e1ce26502d8be0c70b src/cron-4.1.tar.bz2 a84124caadd4103270e0b84596ecfe83 src/ctags-5.5.4.tar.gz -5819f56e93d04cde2992fe88b54cbfad src/curl-7.16.0.tar.bz2 +594142c7d53bbdd988e8cef6354eeeff src/curl-7.15.5.tar.bz2 e0eb377840b01e11e5cd008ae9b7d2af src/cutter-1.02.tgz 956ab476ce276c2d19d583e227dbdbea src/cvs-1.12.13.tar.bz2 07990f3a78a3a9d728cae627e31a9caf src/cyrus-imapd-2.3.7.tar.gz @@ -176,6 +146,8 @@ b6f5e1a00c7311f99632ed300ce26f5f src/dante-1.1.18.tar.gz cbc77517c9278cdb47613ce8cb55779f src/db-4.2.52.tar.gz e393cbf386831825ae8814d9341feadd src/ddup-3.0.1.tar.bz2 +d5ece24fb8c24f353c3c93218f8fb24b src/debianutils_2.8.4.tar.gz +29ade831880b2e0a91d4f49cb73a22dd src/denyhosts_2.5-3.diff.gz 44c6394b8e2e8feaf453aeddc8a3ee69 src/devfsd-v1.3.25.tar.gz 44920cd973a6abc79109af9bff9d8af6 src/device-mapper.1.00.07.tgz f91416a0b8ed3fd0601688cf0b7df58f src/dhcp-3.0.3.tar.gz @@ -189,7 +161,7 @@ 57b8643dc394cf2fbd1bced64536c6df src/dnsmasq-2.35.tar.gz af4d03e85985ab222f2811744b9e06bc src/dosfstools-2.10-llseek.patch.bz2 59a02f311a891af8787c4c9e28c6b89b src/dosfstools_2.10.orig.tar.gz -4b76cef0e769e7504e47f4df4055bc8c src/dovecot-1.0.rc10.tar.gz +26f3d2b075856b1b1d180146363819e6 src/dovecot-1.0.rc15.tar.gz c4b1a7079690ee16d8b0f36b2a2a90a4 src/dspam-3.6.8.tar.gz b931c02e2b23342f664276ef26d1502c src/dvd+rw-tools-5.21.4.10.8.tar.gz 48916063a7582a52db3de8fb06212c93 src/e100-3.5.14.tar.gz @@ -222,7 +194,7 @@ 51956a5ad3350538a7fd0cadd223afd6 src/gcc-3.3.2-et_dyn-specs.bz2 5accc936717bd51ffc046fc9eb653e15 src/gcc-3.3.2-pie-1.diff.bz2 65999f654102f5438ac8562d13a6eced src/gcc-3.3.2.tar.bz2 -14bf0b840b309ae8a29934a7a0743fd3 src/gd-2.0.28.tar.gz +be0a6d326cd8567e736fbc75df0a5c45 src/gd-2.0.33.tar.gz 1d1b1d5c0245b1c00aff92da751e9aa1 src/gdbm-1.8.3.tar.gz eb3db4185f21185a89ae6f7cba49c404 src/gdchart0.11.4dev.tar.gz e1a0fd923345977412375884ac9e33c5 src/giftext-segfault.patch.bz2 @@ -303,6 +275,7 @@ 1a4f886e4c1eb9b6908d39831c6f75b3 src/libgcrypt-1.2.2.tar.gz ff409db977e4a4897aa09ea420a28a2f src/libgpg-error-1.0.tar.gz 0c99a05e0c3c153bac1c960f78711155 src/libiconv-1.9.1.tar.gz +a6ab675558e50ea8d99648f707a121a0 src/liblockfile_1.06.1.tar.gz 2e4487cdf922a6da2546bad74f643205 src/libmad-0.15.0b.tar.gz b1be163143f8e8ed0474beeb642b3bad src/libmcrypt-2.5.7.tar.gz be845c41170d72c7db524f3411b50256 src/libnet.tar.gz @@ -310,7 +283,7 @@ 40ee3ec89030f0d6dfdb2cf6100e6685 src/libosip2-2.2.2.tar.gz 1e700ba0ea0670e398a7102ff6adb590 src/libpam-pgsql-0.6.1.tar.bz2 79025766e8027df154cb1f32de8a7974 src/libpcap-0.9.4.tar.gz -00cea4539bea4bd34cbf8b82ff9589cd src/libpng-1.2.8.tar.bz2 +e9ed9879008fa978d4c07cf4afd2bfcf src/libpng-1.2.13.tar.bz2 6b7b6e6df84d4afb469ccc66d04fc24d src/libsafe-2.0-16.tgz 3c37ef02a3aa248e30f4bf1613e3f597 src/libstdc++-compat.tar.bz2 8e0ac9797b62ba4dcc8a2fb7936412b0 src/libtool-1.5.22.tar.gz @@ -330,7 +303,8 @@ ddc7c767f850229ffb885aa2deb737a3 src/logrotate-3.6.6-maxage.dif.bz2 b57ab463a89c0ce9fee3140d036795ef src/logrotate-3.6.6-moveout.dif.bz2 fc5caa5f96f9b291f5cb7230e433f6c9 src/logrotate-3.6.6.tar.bz2 -4a788202618a5a849b206c71c6b1766f src/logwatch-7.3.tar.gz +c43a783e791ad4851f44c6af98d71b38 src/logwatch-7.3.1.tar.gz +42a75e2bed6ec7744a8ccfec8b3ab3df src/logwatch_7.3.1-3.diff.gz f90188b0fede61fab371093e32382ab9 src/longhaul-1.2.tar.gz b4d13d6421382ea048e113ad8a868dfa src/loop-AES-v3.1d.tar.bz2 094805059be9f363c258c8c808330e08 src/lsof_4.66_src.tar.bz2 @@ -406,7 +380,7 @@ d1b95f82a1330ef2e3c09f3d47772077 src/pci.ids.bz2 5629fdb049f189fb853e7021f85553d2 src/pciutils-2.2.4.tar.gz 0d6d65be8896eff081aee996049afaa5 src/pcmcia-cs-3.2.8.tar.gz -61067f730c46cf6bdd0f8efe3f4f51b6 src/pcre-6.6.tar.bz2 +dbbec9d178ce199e67e98c9a4f994f90 src/pcre-6.7.tar.bz2 9452d398f0fcd4e5cd7ef6628bc78c6e src/pcwd-1.42.tar.gz a377c0c67ab43fd96eeec29ce19e8382 src/perl-5.8.8.tar.bz2 bc6fa8908e2ac36e93bab9f7d42cda3a src/php-4.4.4.tar.bz2 @@ -416,7 +390,7 @@ 73f823d66f0e8525b77cb45d94fb90c8 src/portmap_5-2.diff.gz 781e16ed4487c4caa082c6fef09ead4f src/portmap_5.orig.tar.gz 4bcce061d059d69f0d77c59dbe4427b4 src/portslave-1.9.11.tar.gz -f957e9319428be81c724b606fe060cc7 src/postfix-2.3.3.tar.gz +78942b38639aee30b637f1c15c0b3fc9 src/postfix-2.3.4.tar.gz a65bdc5d833169d28bf6fbaaa8d57fcf src/postgresql-8.1.4.tar.bz2 848f6c3cafeb6074ffeb293c3af79b7c src/ppp-2.4.3.tar.gz 162619419f060527d2d94a0e64e21d99 src/ppp-patches.tar.bz2 @@ -534,3 +508,33 @@ 8a4da4460386e324debe97f3b7fe4d96 src/zip232.tar.gz b1439812746bd6176401fcdac82eeabf src/zisofs-tools-1.0.6.tar.bz2 debc62758716a169df9f62e6ab2bc634 src/zlib-1.2.3.tar.gz +facd1ec828b0cfbd4cd2eee6e0e2b307 src/pom-addon/CLASSIFY.tar.bz2 +712c5d46e03473b52de8a831b731374c src/pom-addon/CLUSTERIP.tar.bz2 +fb7487face8e7030df7cb2edd7d11e64 src/pom-addon/CONNMARK.tar.bz2 +21cdbed07ad930a020a625ed229956bd src/pom-addon/CONNMARK_L7.tar.bz2 +33de98dfae64e8ee1f78c83d0851bc9d src/pom-addon/HOPLIMIT.tar.bz2 +b8df3ac50c2b6fd2235bf5f59a22cd88 src/pom-addon/REJECT.tar.bz2 +f9856280e1b28a9246309666dd323849 src/pom-addon/SAME.tar.bz2 +2be04914b8f80a80a74f70d52e918612 src/pom-addon/TTL.tar.bz2 +ac84bf64f2f6dd1315f46ae5f17d9f93 src/pom-addon/ULOG.tar.bz2 +4e9bee45d55ba91f23b8656a914f6329 src/pom-addon/addrtype.tar.bz2 +ad28e61eae63035eccd0777ed7e52d23 src/pom-addon/connbytes.tar.bz2 +a3dd3a8fc2c12bff096351a954899b43 src/pom-addon/conntrack-acct.tar.bz2 +61125874be2c15bf5ad2f343f2617f74 src/pom-addon/conntrack-event-api.tar.bz2 +25ebe97a8ea4173fe0109972eaac5f1f src/pom-addon/ctnetlink.tar.bz2 +8097e61ae977df35103451b6ab6d60a7 src/pom-addon/ctstat.tar.bz2 +f3c8f76d653b0d554d629aabbb3c3070 src/pom-addon/cuseeme-nat.tar.bz2 +b018c8d8b0e68d24ed3d50d8afa29b85 src/pom-addon/dstlimit.tar.bz2 +0acf86784f42f49ae1e5be439417e43d src/pom-addon/hashlimit.tar.bz2 +449591a269500e3e0c16f82d94ef29b4 src/pom-addon/nf-log.tar.bz2 +7a435f42892272410b387236f2dc7270 src/pom-addon/nf_conntrack.tar.bz2 +a097cccfbec6bb8451e17bea3e5f4c30 src/pom-addon/nfnetlink-ctnetlink-0.13.tar.bz2 +c874ccbe7d63fa946940ca58568f5fad src/pom-addon/nfnetlink.tar.bz2 +564761af7e1f00ac8a4659c43fb0a009 src/pom-addon/nfnetlink_queue.tar.bz2 +48c9818695bd6f1e6c974f0dd7d57d31 src/pom-addon/owner-supgids.tar.bz2 +70b863f615bbb14cd941c34ac599f468 src/pom-addon/ownercmd.tar.bz2 +b1942903a4162e9a3bea5ae1617e2a61 src/pom-addon/raw.tar.bz2 +3f37383d240033dcba610d4c26456fd7 src/pom-addon/realm.tar.bz2 +8df492ed86db57b0a91a09b9d5dc56fc src/pom-addon/sctp.tar.bz2 +e0b145efcfc5070484702ef7e1772152 src/pom-addon/string.tar.bz2 +875c8194f9d9f2c916c1a8dba2c4cfa0 src/pom-addon/tcp-window-tracking.tar.bz2 |
|
From: Heiko Z. <smi...@us...> - 2006-12-18 17:05:20
|
Update of /cvsroot/devil-linux/build/scripts/configuration/help In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv31467/scripts/configuration/help Added Files: Tag: rel-1-2-patches DenyHosts.help debianutils.help liblockfile.help Log Message: - updated Python to 2.3.6 (Dr. Alberto Benati / Heiko) - updated postfix to 2.3.4 (Dr. Alberto Benati / Heiko) - updated dovecot to 1.0.rc15 (Dr. Alberto Benati / Heiko) - updated logwatch to 7.3.1-3 (Dr. Alberto Benati / Heiko) - updated gd to 2.0.33 (Dr. Alberto Benati / Heiko) - updated libpng to 1.2.13 (Dr. Alberto Benati / Heiko) - updated aide to 0.12 (Dr. Alberto Benati / Heiko) - updated awstats to 6.6 (Dr. Alberto Benati / Heiko) - updated pcre to 6.7 (Dr. Alberto Benati / Heiko) - added DenyHosts-2.5-3 (Dr. Alberto Benati / Heiko) - added debianutils 2.8.4 (Dr. Alberto Benati / Heiko) - added liblockfile_1.06.1 (Dr. Alberto Benati / Heiko) --- NEW FILE: liblockfile.help --- CONFIG_LIBLOCKFILE Liblockfile is a shared library with NFS-safe locking functions. It includes the command-line utility 'dotlockfile' --- NEW FILE: DenyHosts.help --- CONFIG_DENYHOSTS DenyHosts is a script intended to be run by Linux system administrators to help thwart ssh server attacks. If you've ever looked at your ssh log you may be alarmed to see how many hackers attempted to gain access to your server. Hopefully, none of them were successful (but then again, how would you know?). Wouldn't it be better to automatically prevent that attacker from continuing to gain entry into your system? --- NEW FILE: debianutils.help --- CONFIG_DEBIANUTILS This package provides a number of small utilities which are used primarily by the installation scripts of Debian packages, although you may use them directly. The specific utilities for Devil-Linux are: mktemp savelog tempfile |
|
From: Heiko Z. <smi...@us...> - 2006-12-18 17:05:20
|
Update of /cvsroot/devil-linux/build/scripts/configuration In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv31467/scripts/configuration Added Files: Tag: rel-1-2-patches DenyHosts.config debianutils.config liblockfile.config Log Message: - updated Python to 2.3.6 (Dr. Alberto Benati / Heiko) - updated postfix to 2.3.4 (Dr. Alberto Benati / Heiko) - updated dovecot to 1.0.rc15 (Dr. Alberto Benati / Heiko) - updated logwatch to 7.3.1-3 (Dr. Alberto Benati / Heiko) - updated gd to 2.0.33 (Dr. Alberto Benati / Heiko) - updated libpng to 1.2.13 (Dr. Alberto Benati / Heiko) - updated aide to 0.12 (Dr. Alberto Benati / Heiko) - updated awstats to 6.6 (Dr. Alberto Benati / Heiko) - updated pcre to 6.7 (Dr. Alberto Benati / Heiko) - added DenyHosts-2.5-3 (Dr. Alberto Benati / Heiko) - added debianutils 2.8.4 (Dr. Alberto Benati / Heiko) - added liblockfile_1.06.1 (Dr. Alberto Benati / Heiko) --- NEW FILE: liblockfile.config --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/configuration/Attic/liblockfile.config,v $ # $Revision: 1.1.2.1 $ # $Date: 2006/12/18 17:05:13 $ # # http://www.devil-linux.org # LIBLOCKFILE added by Alberto Benati <alb...@un...> menu_add "Tools|Utilities" bool "DEBIAN LIBLOCKFILE" CONFIG_LIBLOCKFILE --- NEW FILE: DenyHosts.config --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/configuration/Attic/DenyHosts.config,v $ # $Revision: 1.1.2.1 $ # $Date: 2006/12/18 17:05:13 $ # # http://www.devil-linux.org # DENYHOSTS added by Alberto Benati <alb...@un...> menu_add "Tools|Security" bool "DenyHosts" CONFIG_DENYHOSTS --- NEW FILE: debianutils.config --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/configuration/Attic/debianutils.config,v $ # $Revision: 1.1.2.1 $ # $Date: 2006/12/18 17:05:13 $ # # http://www.devil-linux.org # DEBIANUTILS added by Alberto Benati <alb...@un...> menu_add "Tools|Utilities" bool "DEBIAN UTILS" CONFIG_DEBIANUTILS |
|
From: Heiko Z. <smi...@us...> - 2006-12-18 17:05:20
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv31467/scripts/scripts Added Files: Tag: rel-1-2-patches aide.conf denyhosts.init Log Message: - updated Python to 2.3.6 (Dr. Alberto Benati / Heiko) - updated postfix to 2.3.4 (Dr. Alberto Benati / Heiko) - updated dovecot to 1.0.rc15 (Dr. Alberto Benati / Heiko) - updated logwatch to 7.3.1-3 (Dr. Alberto Benati / Heiko) - updated gd to 2.0.33 (Dr. Alberto Benati / Heiko) - updated libpng to 1.2.13 (Dr. Alberto Benati / Heiko) - updated aide to 0.12 (Dr. Alberto Benati / Heiko) - updated awstats to 6.6 (Dr. Alberto Benati / Heiko) - updated pcre to 6.7 (Dr. Alberto Benati / Heiko) - added DenyHosts-2.5-3 (Dr. Alberto Benati / Heiko) - added debianutils 2.8.4 (Dr. Alberto Benati / Heiko) - added liblockfile_1.06.1 (Dr. Alberto Benati / Heiko) --- NEW FILE: denyhosts.init --- #!/bin/sh # # denyhosts init.d script # Alberto Benati <alb...@un...> # ### BEGIN INIT INFO # Provides: denyhosts # Required-Start: $network $syslog $named $sshd # Required-Stop: $network $syslog $named # Default-Start: 3 5 # Default-Stop: 0 6 # Short-Description: Start denyhosts ### END INIT INFO # settings source /etc/sysconfig/config set -e CONFIGNAME="DENYHOSTS" DESC="DenyHosts" NAME=denyhosts DAEMON="/usr/share/$NAME/daemon-control" PIDFILE="/var/run/$NAME.pid" CONFIG="/etc/denyhosts/denyhosts.cfg" PARM="" # source function library source /etc/init.d/functions eval START=\$START_$CONFIGNAME # Determine the base and follow a runlevel link name. base=${0##*/} link=${base#*[SK][0-9][0-9]} # Force execution if not called by a runlevel directory. test $link = $base && START=yes test "$START" = "yes" || exit 0 if [ ! -e $DAEMON ]; then echo echo "$DAEMON not found. Did you install the package?" exit 1 fi case "$1" in start) ${DAEMON} start ${PARM} evaluate_retval ;; stop) if [ -e $PIDFILE ]; then ${DAEMON} stop ${PARM} evaluate_retval else echo -n "I can't stop $DESC. Maybe it's NOT runnig?" print_status warning fi ;; restart) $0 stop sleep 1 $0 start ;; condrestart) ${DAEMON} condrestart ${PARM} ;; status) ${DAEMON} status ${PARM} ;; *) echo "Usage: $0 {start|stop|restart|condrestart|status}" exit 3 ;; esac exit 0 --- NEW FILE: aide.conf --- # # AIDE 0.12-rc1 # Modify by Alberto Benati <alb...@un...> # @@ifndef TOPDIR @@define TOPDIR / @@endif # The location of the database to be read. database=file:/var/lib/aide/aide.db # The location of the database to be written. #database_out=sql:host:port:database:login_name:passwd:table database_out=file:/var/lib/aide/aide.db.new # Whether to gzip the output to database # gzip_dbout=no #verbose=5 verbose=20 #report_url=stdout #other possibilities #report_url=stderr #NOT IMPLEMENTED report_url=mailto:ro...@fo... #report_url=file:/tmp/some_file.txt #report_url=syslog:LOG_AUTH report_url=stdout #p: permissions #i: inode #n: number of links #u: user #g: group #s: size #b: block count #m: mtime #a: atime #c: ctime #S: check for growing size #I: ignore changed filename #md5: md5 checksum #sha1: sha1 checksum #rmd160: rmd160 checksum #tiger: tiger checksum #R: p+i+n+u+g+s+m+c+md5 #L: p+i+n+u+g #E: Empty group #>: Growing logfile p+u+g+i+n+S #The following are available if you have mhash support enabled. #haval: haval checksum #gost: gost checksum #crc32: crc32 checksum # Rule definition All=R+a+sha1+rmd160 # report_attributes is a special rule definition # the attributes listed in it are alway displayed for changed files # in the final report #report_attributes = u+g # ignore_list is a special rule definition # the attributes listed in it are not displayed in the # final report, it overrules report_attributes where they conflict #ignore_list = b # Attributes that can be used to verify that aide in intact # by people that have downloaded it from the web. # Let's be paranoid Norm=s+n+b+md5+sha1+rmd160 # The commented rules are just examples the rest are used by # make check Checksums=md5+sha1+rmd160+haval+gost+crc32+tiger OwnerMode=p+u+g Size=s+b InodeData=OwnerMode+n+i+Size RamdiskData=InodeData-i StaticFile=m+c+Checksums Full=InodeData+StaticFile VarFile=OwnerMode+n VarDir=OwnerMode+n+i RotatedLogs=Full+I Logs=OwnerMode+n+S LowLogs=Logs-S LinkedLogs=Logs-n Etc=s+n+b+md5+sha1+rmd160 Tmp=s+n+b+md5+sha1+rmd160 Chroot=s+n+b+md5+sha1+rmd160 Jail=s+n+b+md5+sha1+rmd160 Var=> #Selection regexp rule #@@{TOPDIR}/.* Norm /etc/.* Etc /tmp/.* Tmp /var/.* Var !/var/lib/aide/.*aide\.db.* /chroot/.* Chroot /var/lib/.* Var /var/log/.* Var /var/spool/.* Var |
|
From: Heiko Z. <smi...@us...> - 2006-12-18 17:05:19
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv31467/scripts Modified Files: Tag: rel-1-2-patches aide awstats gd libpng logwatch mrtg nrpe nsca openssh Added Files: Tag: rel-1-2-patches DenyHosts debianutils liblockfile Log Message: - updated Python to 2.3.6 (Dr. Alberto Benati / Heiko) - updated postfix to 2.3.4 (Dr. Alberto Benati / Heiko) - updated dovecot to 1.0.rc15 (Dr. Alberto Benati / Heiko) - updated logwatch to 7.3.1-3 (Dr. Alberto Benati / Heiko) - updated gd to 2.0.33 (Dr. Alberto Benati / Heiko) - updated libpng to 1.2.13 (Dr. Alberto Benati / Heiko) - updated aide to 0.12 (Dr. Alberto Benati / Heiko) - updated awstats to 6.6 (Dr. Alberto Benati / Heiko) - updated pcre to 6.7 (Dr. Alberto Benati / Heiko) - added DenyHosts-2.5-3 (Dr. Alberto Benati / Heiko) - added debianutils 2.8.4 (Dr. Alberto Benati / Heiko) - added liblockfile_1.06.1 (Dr. Alberto Benati / Heiko) --- NEW FILE: liblockfile --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/Attic/liblockfile,v $ # $Revision: 1.1.2.1 $ # $Date: 2006/12/18 17:05:13 $ # # http://www.devil-linux.org # LIBLOCKFILE added by Alberto Benati <alb...@un...> # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: liblockfile # Required-Start: $basebuildtools $libs # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: DEBIAN LIBLOCKFILE (http://www.debian.org) ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings MYNAME=LIBLOCKFILE case $1 in build ) if [ "$CONFIG_LIBLOCKFILE" = "y" ]; then ./configure --enable-shared --with-mailgroup \ --prefix=/usr --mandir=/usr/share/man || exit 1 make $PMAKE || exit 1 strip_debug fi ;; install ) if [ "$CONFIG_LIBLOCKFILE" = "y" ]; then rm -rf $TMPDIR mkdir -p $TMPDIR || exit 1 mkdir -p $TMPDIR/usr/bin $TMPDIR/usr/lib $TMPDIR/usr/include \ mkdir -p $TMPDIR/usr/share/man/man1 $TMPDIR/usr/share/man/man3 || exit 1 make install ROOT=$TMPDIR || exit 1 rm -rf $TMPDIR/usr/include || exit 1 copy_files $TMPDIR/usr $CDDIR || exit 1 rm -rf $TMPDIR || exit 1 fi ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac Index: mrtg =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/mrtg,v retrieving revision 1.1.2.1 retrieving revision 1.1.2.2 diff -u -d -r1.1.2.1 -r1.1.2.2 --- mrtg 27 Apr 2005 23:37:38 -0000 1.1.2.1 +++ mrtg 18 Dec 2006 17:05:13 -0000 1.1.2.2 @@ -10,7 +10,7 @@ ### BEGIN INIT INFO # Provides: mrtg -# Required-Start: $basebuildtools $libs perl +# Required-Start: $basebuildtools $libs gd libpng perl zlib # Required-Stop: # Default-Start: 1 2 # Default-Stop: @@ -27,7 +27,7 @@ case $1 in build ) if [ "$CONFIG_MRTG" = "y" ]; then - ./configure --prefix=/usr || exit 1 + ./configure --prefix=/usr --with-gd --with-z --with-png || exit 1 make $PMAKE all || exit 1 strip_debug fi Index: openssh =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/openssh,v retrieving revision 1.28.2.3 retrieving revision 1.28.2.4 diff -u -d -r1.28.2.3 -r1.28.2.4 --- openssh 22 Apr 2006 01:07:45 -0000 1.28.2.3 +++ openssh 18 Dec 2006 17:05:13 -0000 1.28.2.4 @@ -10,7 +10,7 @@ ### BEGIN INIT INFO # Provides: openssh -# Required-Start: $basebuildtools $libs +# Required-Start: $basebuildtools $libs tcp_wrappers # Required-Stop: # Default-Start: 1 2 # Default-Stop: @@ -28,14 +28,20 @@ case $1 in build ) if [ "$CONFIG_OPENSSH" = "y" ]; then - ./configure --prefix=/usr --sysconfdir=/etc/ssh --localstatedir=/var --with-md5-passwords --with-pam || exit 1 + ./configure --prefix=/usr --sysconfdir=/etc/ssh --localstatedir=/var \ + --with-tcp-wrappers --with-md5-passwords --with-pam || exit 1 # disable those annoying excess permissions warnings.... echo " #undef USE_BTMP" >> config.h make $PMAKE all || exit 1 strip_debug - - # install it, other programs need it later - make install || exit 1 + + if [ "$CONFIG_SCPONLY" = "y" ]; then + # Mandatory for build scponly + groupadd -g 110 sshd || exit 1 + useradd -g 110 -u 110 -c "sshd privsep" -d /var/empty -s /bin/false sshd || exit 1 + make install || exit 1 + fi + fi ;; Index: awstats =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/awstats,v retrieving revision 1.1.2.1 retrieving revision 1.1.2.2 diff -u -d -r1.1.2.1 -r1.1.2.2 --- awstats 15 Apr 2006 01:23:09 -0000 1.1.2.1 +++ awstats 18 Dec 2006 17:05:13 -0000 1.1.2.2 @@ -2,7 +2,9 @@ # $Source$ # $Revision$ # $Date$ +# # http://www.devil-linux.org +# AWSTATS added by Alberto Benati <alb...@un...> # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 @@ -22,6 +24,8 @@ # source functions and config source $MYDIR/settings +MYNAME=AWSTATS + case $1 in install ) if [ "$CONFIG_AWSTATS" = "y" ]; then @@ -34,7 +38,8 @@ cp -dpR wwwroot/cgi-bin/awstats.model.conf $ETCDIR/etc/awstats/ || exit 1 mkdir -p $ETCDIR/etc/cron.daily || exit 1 - echo "#/usr/local/awstats/wwwroot/cgi-bin/awstats.pl" >> $ETCDIR/etc/cron.daily/awstats.cron || exit 1 + echo "#/usr/local/awstats/wwwroot/cgi-bin/awstats.pl" >> $ETCDIR/etc/cron.daily/awstats || exit 1 + chmod 0755 $ETCDIR/etc/cron.daily/awstats || exit 1 rm -rf $TMPDIR || exit 1 fi Index: logwatch =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/logwatch,v retrieving revision 1.1.2.2 retrieving revision 1.1.2.3 diff -u -d -r1.1.2.2 -r1.1.2.3 --- logwatch 7 May 2006 13:55:27 -0000 1.1.2.2 +++ logwatch 18 Dec 2006 17:05:13 -0000 1.1.2.3 @@ -4,6 +4,7 @@ # $Date$ # # http://www.devil-linux.org +# LOGWATCH added by Alberto Benati <alb...@un...> # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 @@ -30,6 +31,13 @@ if [ "$CONFIG_LOGWATCH" = "y" ]; then rm -rf $TMPDIR + if [ ! -f .patch.done ] && [ -e $DL_DIR/src/logwatch_7.*.diff.gz ]; then + #From Debian + zcat $DL_DIR/src/logwatch_7.*.diff.gz | patch -p1 || exit 1 + touch .patch.done + fi + + #From install.sh LOGWATCHEXE="/usr/share/logwatch/scripts/logwatch.pl" BASEDIR="$CDDIR/usr/share/logwatch" Index: aide =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/aide,v retrieving revision 1.1.2.1 retrieving revision 1.1.2.2 diff -u -d -r1.1.2.1 -r1.1.2.2 --- aide 15 Apr 2006 01:23:09 -0000 1.1.2.1 +++ aide 18 Dec 2006 17:05:13 -0000 1.1.2.2 @@ -4,13 +4,14 @@ # $Date$ # # http://www.devil-linux.org +# AIDE added by Alberto Benati <alb...@un...> # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: aide -# Required-Start: $basebuildtools $libs mhash +# Required-Start: $basebuildtools $libs gnupg libgcrypt mhash # Required-Stop: # Default-Start: 1 2 # Default-Stop: @@ -28,12 +29,9 @@ case $1 in build ) if [ "$CONFIG_AIDE" = "y" ]; then - if [ ! -f .patch.done ]; then - zcat $DL_DIR/src/aide_0.*.diff.gz | patch -p1 || exit 1 - touch .patch.done - fi - ./configure --prefix=/usr --sysconfdir=/etc/aide \ - --with-config_file=/etc/aide/aide.conf || exit 1 + ./configure --prefix=/usr --sysconfdir=/etc \ + --with-config_file=/etc/aide/aide.conf \ + --with-zlib --with-mhash --with-gcrypt || exit 1 make $PMAKE || exit 1 strip_debug fi @@ -47,18 +45,15 @@ make install DESTDIR=$TMPDIR || exit 1 mkdir -p $ETCDIR/etc/aide || exit 1 - cp -dpR debian/aide.conf $ETCDIR/etc/aide/ || exit 1 - - mkdir -p $ETCDIR/etc/cron.daily || exit 1 - cp -dpR debian/cron.daily/aide $ETCDIR/etc/cron.daily/ || exit 1 + install -m 0644 $DL_DIR/scripts/scripts/aide.conf $ETCDIR/etc/aide/ || exit 1 + cp -dpR contrib $ETCDIR/etc/aide/ || exit 1 - mkdir -p $CDDIR/usr/man/man8 || exit 1 - cp -dpR debian/aideinit.8 $CDDIR/usr/man/man8/ || exit 1 + mkdir -p $CDDIR/var/lib/aide || exit 1 + mkdir -p $CDDIR/var/log/aide || exit 1 # All mhash library are mandatory cp -dpR /usr/lib/libmhash* $CDDIR/lib/ || exit 1 - mkdir -p $CDDIR || exit 1 copy_files $TMPDIR/usr $CDDIR || exit 1 rm -rf $TMPDIR || exit 1 Index: gd =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/gd,v retrieving revision 1.4 retrieving revision 1.4.2.1 diff -u -d -r1.4 -r1.4.2.1 --- gd 27 Jan 2004 20:01:49 -0000 1.4 +++ gd 18 Dec 2006 17:05:13 -0000 1.4.2.1 @@ -10,7 +10,7 @@ ### BEGIN INIT INFO # Provides: gd -# Required-Start: $basebuildtools libpng jpeg libiconv glibc +# Required-Start: $basebuildtools libpng jpeg libiconv glibc zlib # Required-Stop: # Default-Start: 1 # Default-Stop: --- NEW FILE: debianutils --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/Attic/debianutils,v $ # $Revision: 1.1.2.1 $ # $Date: 2006/12/18 17:05:13 $ # # http://www.devil-linux.org # DEBIANUTILS added by Alberto Benati <alb...@un...> # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: debianutils # Required-Start: $basebuildtools $libs # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: DEBIAN UTILS (http://www.debian.org) ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings MYNAME=DEBIANUTILS case $1 in build ) if [ "$CONFIG_DEBIANUTILS" = "y" ]; then ./configure --prefix=/usr --mandir=/usr/share/man || exit 1 make $PMAKE || exit 1 strip_debug fi ;; install ) if [ "$CONFIG_DEBIANUTILS" = "y" ]; then rm -rf $TMPDIR mkdir -p $TMPDIR || exit 1 make install DESTDIR=$TMPDIR || exit 1 rm -rf $TMPDIR/usr/bin/sensible* $TMPDIR/usr/bin/which || exit 1 rm -rf $TMPDIR/usr/sbin || exit 1 rm -rf $TMPDIR/usr/share/man/fr || exit 1 rm -rf $TMPDIR/usr/share/man/man1/sensible* $TMPDIR/usr/share/man/man1/which* || exit 1 rm -rf $TMPDIR/usr/share/man/man8/installkernel* || exit 1 copy_files $TMPDIR/usr $CDDIR || exit 1 rm -rf $TMPDIR || exit 1 fi ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac --- NEW FILE: DenyHosts --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/Attic/DenyHosts,v $ # $Revision: 1.1.2.1 $ # $Date: 2006/12/18 17:05:13 $ # # http://www.devil-linux.org # DENYHOSTS added by Alberto Benati <alb...@un...> # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: DenyHosts # Required-Start: $basebuildtools $libs Python openssh # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: DenyHosts (http://www.denyhosts.net) ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings MYNAME=DENYHOSTS case $1 in build ) if [ "$CONFIG_DENYHOSTS" = "y" ]; then if [ ! -f .patch.done ] && [ -e $DL_DIR/src/denyhosts_2.*.diff.gz ]; then #From Debian zcat $DL_DIR/src/denyhosts_2.*.diff.gz | patch -p1 || exit 1 touch .patch.done fi if [ ! -f .debian.patch.done ]; then DPATCH=`cat debian/patches/00list` for d in $DPATCH; do patch -p1 < debian/patches/$d done touch .debian.patch.done fi python setup.py build || exit 1 fi ;; install ) if [ "$CONFIG_DENYHOSTS" = "y" ]; then rm -rf $TMPDIR mkdir -p $TMPDIR || exit 1 python setup.py install --root=$TMPDIR --record=INSTALLED_FILES || exit 1 mv -f $TMPDIR/usr/share/denyhosts/daemon-control-dist $TMPDIR/usr/share/denyhosts/daemon-control || exit 1 replace_str $TMPDIR/usr/share/denyhosts/daemon-control \ "/etc/denyhosts.conf" "/etc/denyhosts/denyhosts.cfg" mkdir -p $ETCDIR/etc/denyhosts || exit 1 mv -f $TMPDIR/usr/share/denyhosts/denyhosts.cfg-dist $ETCDIR/etc/denyhosts/denyhosts.cfg || exit 1 mkdir -p $CDDIR/var/lib/denyhosts || exit 1 mkdir -p $TMPDIR/usr/sbin || exit 1 mv -f $TMPDIR/usr/bin/denyhosts.py $TMPDIR/usr/sbin/denyhosts || exit 1 rm -f $TMPDIR/usr/share/denyhosts/*.txt || exit 1 copy_files $TMPDIR/usr $CDDIR || exit 1 mkdir -p $ETCDIR/etc/logrotate.d || exit 1 cp -dpR debian/denyhosts.logrotate $ETCDIR/etc/logrotate.d/denyhosts || exit 1 mkdir -p $CDDIR/usr/share/man/man8 || exit 1 cp -pdR debian/denyhosts.8 $CDDIR/usr/share/man/man8/ || exit 1 cp $MYDIR/scripts/denyhosts.init $ETCDIR/etc/init.d/denyhosts || exit 1 echo "# Start $MYNAME?" >> $CONFIGFILE echo "START_$MYNAME=no" >> $CONFIGFILE echo >> $CONFIGFILE echo "HELP_$MYNAME=\"analyzes hosts are attempting to hack\"" >> $SOFTWAREHELP rm -rf $TMPDIR || exit 1 fi ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac Index: nrpe =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/nrpe,v retrieving revision 1.1.2.1 retrieving revision 1.1.2.2 diff -u -d -r1.1.2.1 -r1.1.2.2 --- nrpe 20 Aug 2006 19:49:56 -0000 1.1.2.1 +++ nrpe 18 Dec 2006 17:05:13 -0000 1.1.2.2 @@ -38,7 +38,9 @@ cp -v src/nrpe $CDDIR/usr/sbin/ || exit 1 cp -v src/check_nrpe $CDDIR/usr/libexec/nagios/ || exit 1 cp -v sample-config/nrpe.cfg $ETCDIR/etc/nagios/ || exit 1 - cp -v sample-config/nrpe.xinetd $ETCDIR/etc/xinet.d/ || exit 1 + if [ "$CONFIG_XINETD" = "y" ]; then + cp -v sample-config/nrpe.xinetd $ETCDIR/etc/xinet.d/ || exit 1 + fi echo "nrpe 5666/tcp # NRPE" >> $ETCDIR/etc/services || exit 1 cp $MYDIR/scripts/nrpe $ETCDIR/etc/init.d || exit 1 Index: libpng =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/libpng,v retrieving revision 1.4 retrieving revision 1.4.2.1 diff -u -d -r1.4 -r1.4.2.1 --- libpng 11 Jan 2004 14:43:04 -0000 1.4 +++ libpng 18 Dec 2006 17:05:13 -0000 1.4.2.1 @@ -25,11 +25,14 @@ case $1 in build ) - make -f scripts/makefile.linux prefix=/usr $PMAKE all || exit 1 + ZLIBDIR=$(find_src_dir zlib) + make -f scripts/makefile.linux prefix=/usr \ + ZLIBLIB=../$ZLIBDIR ZLIBINC=../$ZLIBDIR $PMAKE all || exit 1 strip_debug # we have to install this immediately, because this is a library and could be needed by other sources - make -f scripts/makefile.linux prefix=/usr install || exit 1 + make -f scripts/makefile.linux prefix=/usr \ + ZLIBLIB=../$ZLIBDIR ZLIBINC=../$ZLIBDIR install || exit 1 ;; * ) Index: nsca =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/nsca,v retrieving revision 1.1.2.1 retrieving revision 1.1.2.2 diff -u -d -r1.1.2.1 -r1.1.2.2 --- nsca 20 Aug 2006 19:49:56 -0000 1.1.2.1 +++ nsca 18 Dec 2006 17:05:13 -0000 1.1.2.2 @@ -38,7 +38,9 @@ cp -v src/nsca $CDDIR/usr/sbin/ || exit 1 cp -v src/send_nsca $CDDIR/usr/sbin/ || exit 1 cp -v sample-config/*.cfg $ETCDIR/etc/nagios/ || exit 1 - cp -v sample-config/nsca.xinetd $ETCDIR/etc/xinet.d/ || exit 1 + if [ "$CONFIG_XINETD" = "y" ]; then + cp -v sample-config/nsca.xinetd $ETCDIR/etc/xinet.d/ || exit 1 + fi echo "nsca 5667/tcp # NSCA" >> $ETCDIR/etc/services || exit 1 cp $MYDIR/scripts/nsca $ETCDIR/etc/init.d || exit 1 |
|
From: Heiko Z. <smi...@us...> - 2006-12-16 23:38:24
|
Update of /cvsroot/devil-linux/web/sitetools In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv30400 Modified Files: sponsors.php Log Message: and another one.... Index: sponsors.php =================================================================== RCS file: /cvsroot/devil-linux/web/sitetools/sponsors.php,v retrieving revision 1.26 retrieving revision 1.27 diff -u -d -r1.26 -r1.27 --- sponsors.php 14 Dec 2006 02:02:04 -0000 1.26 +++ sponsors.php 16 Dec 2006 23:38:18 -0000 1.27 @@ -9,6 +9,10 @@ <td class="boxheading" align=center>Donation</td> </tr> <tr> + <td><a href="http://www.diga-soft.de" target="_blank">Chipprogrammierung</a></td> + <td align="right">€50</td> +</tr> +<tr> <td><a href="http://www.chipprofi.de" target="_blank">Autotuning</a></td> <td align="right">€50</td> </tr> |
|
From: Heiko Z. <smi...@us...> - 2006-12-14 02:02:11
|
Update of /cvsroot/devil-linux/web/sitetools In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv7552 Modified Files: sponsors.php Log Message: and one more Index: sponsors.php =================================================================== RCS file: /cvsroot/devil-linux/web/sitetools/sponsors.php,v retrieving revision 1.25 retrieving revision 1.26 diff -u -d -r1.25 -r1.26 --- sponsors.php 12 Dec 2006 15:41:41 -0000 1.25 +++ sponsors.php 14 Dec 2006 02:02:04 -0000 1.26 @@ -9,6 +9,10 @@ <td class="boxheading" align=center>Donation</td> </tr> <tr> + <td><a href="http://www.chipprofi.de" target="_blank">Autotuning</a></td> + <td align="right">€50</td> +</tr> +<tr> <td><a href="http://www.dauerhaft-haarentfernung.de" target="_blank">Permanente Enthaarung</a></td> <td align="right">€50</td> </tr> |
|
From: Heiko Z. <smi...@us...> - 2006-12-12 15:41:49
|
Update of /cvsroot/devil-linux/web/sitetools In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv31416 Modified Files: sponsors.php Log Message: corrected links Index: sponsors.php =================================================================== RCS file: /cvsroot/devil-linux/web/sitetools/sponsors.php,v retrieving revision 1.24 retrieving revision 1.25 diff -u -d -r1.24 -r1.25 --- sponsors.php 10 Dec 2006 00:13:47 -0000 1.24 +++ sponsors.php 12 Dec 2006 15:41:41 -0000 1.25 @@ -13,7 +13,7 @@ <td align="right">€50</td> </tr> <tr> - <td><a href="http://www.dauerhaft-haarentfernung.de" target="_blank">Permanente Enthaarung</a></td> + <td><a href="http://www.dauerhafte-enthaarung.com" target="_blank">Dauerhafte Haarentfernung</a></td> <td align="right">$50</td> </tr> <tr> |
|
From: Heiko Z. <smi...@us...> - 2006-12-10 00:13:55
|
Update of /cvsroot/devil-linux/web/sitetools In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv13697 Modified Files: sponsors.php Log Message: added new donation Index: sponsors.php =================================================================== RCS file: /cvsroot/devil-linux/web/sitetools/sponsors.php,v retrieving revision 1.23 retrieving revision 1.24 diff -u -d -r1.23 -r1.24 --- sponsors.php 7 Dec 2006 02:26:31 -0000 1.23 +++ sponsors.php 10 Dec 2006 00:13:47 -0000 1.24 @@ -9,7 +9,15 @@ <td class="boxheading" align=center>Donation</td> </tr> <tr> - <td><a href="www.artificial-grass.com/" target="_blank">The artificial grass company</a></td> + <td><a href="http://www.dauerhaft-haarentfernung.de" target="_blank">Permanente Enthaarung</a></td> + <td align="right">€50</td> +</tr> +<tr> + <td><a href="http://www.dauerhaft-haarentfernung.de" target="_blank">Permanente Enthaarung</a></td> + <td align="right">$50</td> +</tr> +<tr> + <td><a href="http://www.artificial-grass.com" target="_blank">The artificial grass company</a></td> <td align="right">€50</td> </tr> <tr> |
|
From: Heiko Z. <smi...@us...> - 2006-12-07 02:26:38
|
Update of /cvsroot/devil-linux/web/sitetools In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv7047 Modified Files: sponsors.php Log Message: added new donation Index: sponsors.php =================================================================== RCS file: /cvsroot/devil-linux/web/sitetools/sponsors.php,v retrieving revision 1.22 retrieving revision 1.23 diff -u -d -r1.22 -r1.23 --- sponsors.php 29 Nov 2006 14:16:22 -0000 1.22 +++ sponsors.php 7 Dec 2006 02:26:31 -0000 1.23 @@ -9,6 +9,10 @@ <td class="boxheading" align=center>Donation</td> </tr> <tr> + <td><a href="www.artificial-grass.com/" target="_blank">The artificial grass company</a></td> + <td align="right">€50</td> +</tr> +<tr> <td><a href="http://wimax.eu/" target="_blank">WiMAX</a></td> <td align="right">$50</td> </tr> |
|
From: Heiko Z. <smi...@us...> - 2006-11-29 14:16:29
|
Update of /cvsroot/devil-linux/web/sitetools In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv12841 Modified Files: sponsors.php Log Message: added link Index: sponsors.php =================================================================== RCS file: /cvsroot/devil-linux/web/sitetools/sponsors.php,v retrieving revision 1.21 retrieving revision 1.22 diff -u -d -r1.21 -r1.22 --- sponsors.php 29 Nov 2006 14:06:06 -0000 1.21 +++ sponsors.php 29 Nov 2006 14:16:22 -0000 1.22 @@ -9,7 +9,7 @@ <td class="boxheading" align=center>Donation</td> </tr> <tr> - <td>Andrejs Guba</td> + <td><a href="http://wimax.eu/" target="_blank">WiMAX</a></td> <td align="right">$50</td> </tr> <tr> |
|
From: Heiko Z. <smi...@us...> - 2006-11-29 14:06:14
|
Update of /cvsroot/devil-linux/web/sitetools In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv8958 Modified Files: sponsors.php Log Message: added new donation Index: sponsors.php =================================================================== RCS file: /cvsroot/devil-linux/web/sitetools/sponsors.php,v retrieving revision 1.20 retrieving revision 1.21 diff -u -d -r1.20 -r1.21 --- sponsors.php 8 Nov 2006 12:46:18 -0000 1.20 +++ sponsors.php 29 Nov 2006 14:06:06 -0000 1.21 @@ -9,6 +9,10 @@ <td class="boxheading" align=center>Donation</td> </tr> <tr> + <td>Andrejs Guba</td> + <td align="right">$50</td> +</tr> +<tr> <td><a href="http://www.online-casinos.com/" target="_blank">Online-Casinos.com</a></td> <td align="right">$50</td> </tr> |
|
From: Heiko Z. <smi...@us...> - 2006-11-25 20:41:30
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv16899/scripts Modified Files: squid Log Message: added missing LDAP support to squid Index: squid =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/squid,v retrieving revision 1.24 retrieving revision 1.25 diff -u -d -r1.24 -r1.25 --- squid 5 Oct 2006 18:12:28 -0000 1.24 +++ squid 25 Nov 2006 20:41:27 -0000 1.25 @@ -36,7 +36,7 @@ popd > /dev/null touch .patches.done fi - if [ "$CONFIG_LDAP" = "y" ]; then + if [ "$CONFIG_OPENLDAPLIB" = "y" ]; then AUTH_HELPERS="${AUTH_HELPERS} LDAP" fi |
|
From: Heiko Z. <smi...@us...> - 2006-11-25 20:41:17
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv16791 Modified Files: Tag: rel-1-2-patches CHANGES Log Message: added missing LDAP support to squid Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.807.2.280 retrieving revision 1.807.2.281 diff -u -d -r1.807.2.280 -r1.807.2.281 --- CHANGES 22 Nov 2006 13:35:38 -0000 1.807.2.280 +++ CHANGES 25 Nov 2006 20:41:13 -0000 1.807.2.281 @@ -22,6 +22,8 @@ # 1.2.12 +- added missing LDAP support to squid +- enabled nagios for default config - openvpn process now shows the config file it's using (Endre Szabo / Heiko) 1.2.11 |
|
From: Heiko Z. <smi...@us...> - 2006-11-25 20:41:16
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv16791/scripts Modified Files: Tag: rel-1-2-patches squid Log Message: added missing LDAP support to squid Index: squid =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/squid,v retrieving revision 1.17.2.8 retrieving revision 1.17.2.9 diff -u -d -r1.17.2.8 -r1.17.2.9 --- squid 5 Oct 2006 18:12:44 -0000 1.17.2.8 +++ squid 25 Nov 2006 20:41:13 -0000 1.17.2.9 @@ -36,7 +36,7 @@ popd > /dev/null touch .patches.done fi - if [ "$CONFIG_LDAP" = "y" ]; then + if [ "$CONFIG_OPENLDAPLIB" = "y" ]; then AUTH_HELPERS="${AUTH_HELPERS} LDAP" fi |
|
From: Heiko Z. <smi...@us...> - 2006-11-25 20:40:31
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv16514 Modified Files: CHANGES Log Message: added missing LDAP support to squid Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1079 retrieving revision 1.1080 diff -u -d -r1.1079 -r1.1080 --- CHANGES 22 Nov 2006 13:36:23 -0000 1.1079 +++ CHANGES 25 Nov 2006 20:40:27 -0000 1.1080 @@ -22,6 +22,7 @@ # 1.3.2 +- added missing LDAP support to squid - openvpn process now shows the config file it's using (Endre Szabo / Heiko) - updated curl to 7.16.0 - updated dnsmasq to 2.35 |
|
From: Heiko Z. <smi...@us...> - 2006-11-22 13:36:29
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv10215 Modified Files: CHANGES Log Message: - openvpn process now shows the config file it's using (Endre Szabo / Heiko) Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1078 retrieving revision 1.1079 diff -u -d -r1.1078 -r1.1079 --- CHANGES 31 Oct 2006 04:30:02 -0000 1.1078 +++ CHANGES 22 Nov 2006 13:36:23 -0000 1.1079 @@ -22,6 +22,7 @@ # 1.3.2 +- openvpn process now shows the config file it's using (Endre Szabo / Heiko) - updated curl to 7.16.0 - updated dnsmasq to 2.35 - updated lftp to 3.5.6 |
|
From: Heiko Z. <smi...@us...> - 2006-11-22 13:36:27
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv10215/scripts/scripts Modified Files: openvpn Log Message: - openvpn process now shows the config file it's using (Endre Szabo / Heiko) Index: openvpn =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/openvpn,v retrieving revision 1.8 retrieving revision 1.9 diff -u -d -r1.8 -r1.9 --- openvpn 25 Jul 2005 17:16:58 -0000 1.8 +++ openvpn 22 Nov 2006 13:36:23 -0000 1.9 @@ -46,7 +46,7 @@ modprobe tun for c in `ls /etc/openvpn/*.conf 2> /dev/null`; do echo -n "Starting $NAME ($c): " - ${DAEMON} --daemon --config $c --cd /etc/openvpn + ${DAEMON} --daemon `basename $c .conf` --config $c --cd /etc/openvpn evaluate_retval done ;; |
|
From: Heiko Z. <smi...@us...> - 2006-11-22 13:35:45
|
Update of /cvsroot/devil-linux/build/scripts/config In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv9850/scripts/config Modified Files: Tag: rel-1-2-patches VERSION Log Message: - openvpn process now shows the config file it's using (Endre Szabo / Heiko) - updated version number to 1.2.12 Index: VERSION =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/config/VERSION,v retrieving revision 1.14.2.16 retrieving revision 1.14.2.17 diff -u -d -r1.14.2.16 -r1.14.2.17 --- VERSION 28 Jul 2006 20:38:24 -0000 1.14.2.16 +++ VERSION 22 Nov 2006 13:35:39 -0000 1.14.2.17 @@ -1 +1 @@ -1.2.11 +1.2.12 |
|
From: Heiko Z. <smi...@us...> - 2006-11-22 13:35:44
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv9850 Modified Files: Tag: rel-1-2-patches CHANGES Log Message: - openvpn process now shows the config file it's using (Endre Szabo / Heiko) - updated version number to 1.2.12 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.807.2.279 retrieving revision 1.807.2.280 diff -u -d -r1.807.2.279 -r1.807.2.280 --- CHANGES 31 Oct 2006 04:30:15 -0000 1.807.2.279 +++ CHANGES 22 Nov 2006 13:35:38 -0000 1.807.2.280 @@ -21,6 +21,9 @@ # # +1.2.12 +- openvpn process now shows the config file it's using (Endre Szabo / Heiko) + 1.2.11 - updated curl to 7.16.0 - updated dnsmasq to 2.35 |
|
From: Heiko Z. <smi...@us...> - 2006-11-22 13:35:43
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv9850/scripts/scripts Modified Files: Tag: rel-1-2-patches openvpn Log Message: - openvpn process now shows the config file it's using (Endre Szabo / Heiko) - updated version number to 1.2.12 Index: openvpn =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/openvpn,v retrieving revision 1.7.2.1 retrieving revision 1.7.2.2 diff -u -d -r1.7.2.1 -r1.7.2.2 --- openvpn 25 Jul 2005 17:15:51 -0000 1.7.2.1 +++ openvpn 22 Nov 2006 13:35:39 -0000 1.7.2.2 @@ -46,7 +46,7 @@ modprobe tun for c in `ls /etc/openvpn/*.conf 2> /dev/null`; do echo -n "Starting $NAME ($c): " - ${DAEMON} --daemon --config $c --cd /etc/openvpn + ${DAEMON} --daemon `basename $c .conf` --config $c --cd /etc/openvpn evaluate_retval done ;; |